#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x1b7a734e, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xb4c05845, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x5ed51c7e, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xbf6052bb, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xc3998937, "");
SYMBOL_CRC(drm_atomic_state_init, 0xb48847d7, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xddc27b1a, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x5a693a2b, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x1fe284ff, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x93ff9439, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x6068c50e, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x152686e6, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x8dd004b4, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x542596c0, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x4e0c3a9f, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xcf7d7888, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x7d5a33fc, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xfc2b71eb, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xdeb196cd, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xd4e33edf, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xccbdfe05, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xbdace25a, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x9bda539e, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x6869707e, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xb70db3d0, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xcdfef16b, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x6ec7d1d6, "");
SYMBOL_CRC(drm_atomic_check_only, 0xc35da108, "");
SYMBOL_CRC(drm_atomic_commit, 0x4136f7ba, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xc3d1219c, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xa76dd1d7, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x4a6620b5, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x5c17e118, "");
SYMBOL_CRC(drm_state_dump, 0xecbea2d6, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x22957d8e, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x18988e3e, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x7e1c8e75, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xa6881277, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x7321c1bc, "");
SYMBOL_CRC(drm_is_current_master, 0xd9a77b67, "");
SYMBOL_CRC(drm_master_get, 0xd2867adc, "");
SYMBOL_CRC(drm_file_get_master, 0x07760fcc, "");
SYMBOL_CRC(drm_master_put, 0x2aa6f04f, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xb74ab749, "");
SYMBOL_CRC(drm_master_internal_release, 0xd585a480, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x9a0d8d54, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xdf22318e, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x977ff13d, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xb63c2783, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x172d75f2, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x220a0699, "");
SYMBOL_CRC(drm_bridge_add, 0x2713cf4d, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x99b808ef, "");
SYMBOL_CRC(drm_bridge_remove, 0xf6cdc7c2, "");
SYMBOL_CRC(drm_bridge_attach, 0x4052d6c5, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x3ef5da17, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x1f89eafd, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x4cf17efd, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xb14b6589, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x157c81ba, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x5421b918, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xd5eb630b, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xf0c8c46b, "");
SYMBOL_CRC(drm_bridge_detect, 0xea825986, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x38c4065b, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x997bd805, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x0d2347f0, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xae69df1f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xb541fb9e, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x390b2df9, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x0757b0d1, "");
SYMBOL_CRC(drm_client_register, 0x180b33d0, "");
SYMBOL_CRC(drm_client_release, 0x626ae017, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x4bcc3a31, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xc3aedcc1, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x40fe58b1, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x103d6baa, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x2592b669, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x5fc80613, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x9a0d597f, "");
SYMBOL_CRC(drm_client_rotation, 0x50a98e4d, "");
SYMBOL_CRC(drm_client_modeset_check, 0x56384e46, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x8ee1b9d0, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xe68a408f, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x638a9ed7, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xa40d74d3, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xd575e9c0, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xce8c109b, "");
SYMBOL_CRC(drm_color_lut_check, 0xebdb04e2, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x585e1561, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x27c2fed2, "");
SYMBOL_CRC(drmm_connector_init, 0x6c29a878, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xddb9e33c, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x65f7d0da, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xce1bfcbe, "");
SYMBOL_CRC(drm_connector_cleanup, 0xb44e389a, "");
SYMBOL_CRC(drm_connector_register, 0x8ea19c45, "");
SYMBOL_CRC(drm_connector_unregister, 0xf021ee19, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x19fcf49d, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xae2866d9, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x74a6e97e, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x16fbf6f2, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x15b7c230, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xee3b65ff, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xa796c12e, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xacffabfd, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xe95b4e53, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xe301cf60, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x9949b310, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xc4899e92, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xd62e9f99, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x815ad7dd, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x70c4d1e6, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x4960e49d, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xdbe89487, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x6711bbd5, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xb01a2097, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xe2a1c9ef, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x4b6b3abd, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x1dd74c3d, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0xda96a42d, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xfcdb459e, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x5933b935, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x1dfa4adb, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xe17fd84b, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x12168985, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xe972caa0, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x8eaba16e, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x034799f7, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x1149851b, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x4cf53152, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xdb9edbc1, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x9a48098a, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xcacb7756, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x6d27cb4e, "");
SYMBOL_CRC(drm_crtc_from_index, 0xb0204e03, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x67de6f99, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x9bb87614, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x9e568c5f, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x5a26dac8, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x649fc7ab, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x4fc35120, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x1db410a9, "");
SYMBOL_CRC(drm_put_dev, 0x9b241f4f, "");
SYMBOL_CRC(drm_dev_enter, 0xb093bfe0, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x36388e7c, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xd355ce20, "");
SYMBOL_CRC(drm_dev_alloc, 0xc8f802c7, "");
SYMBOL_CRC(drm_dev_get, 0x1d2e7495, "");
SYMBOL_CRC(drm_dev_put, 0x0e3dfeea, "");
SYMBOL_CRC(drm_dev_register, 0x335b02e1, "");
SYMBOL_CRC(drm_dev_unregister, 0x42d1cee0, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x944bbdae, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xa6b32156, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x6ca7e6cb, "");
SYMBOL_CRC(drm_do_get_edid, 0x629183cf, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x5f3e2dd3, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xefe7b191, "");
SYMBOL_CRC(drm_get_edid, 0xc941b0be, "");
SYMBOL_CRC(drm_edid_read_custom, 0x9de52b9c, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x71886ab9, "");
SYMBOL_CRC(drm_edid_read, 0xcf45303f, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xc0cb87d1, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xe3dd59c6, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xe0617a21, "");
SYMBOL_CRC(drm_edid_duplicate, 0x57e6f878, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x800b3f2c, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xa87325fa, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x08618e5a, "");
SYMBOL_CRC(drm_edid_to_sad, 0x755623d5, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3022c924, "");
SYMBOL_CRC(drm_av_sync_delay, 0x90fbb956, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa51708dc, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0x946f25f1, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xf705c4b3, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x07d07b64, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xe5269db9, "");
SYMBOL_CRC(drm_add_edid_modes, 0x1b175245, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x260dace5, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xe64ef136, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x79ccd5ae, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xb1211895, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xf30137f1, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x2a5089ce, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xabf04a0b, "");
SYMBOL_CRC(drmm_encoder_init, 0xc9fa3ab9, "");
SYMBOL_CRC(drm_open, 0xa7ddf463, "");
SYMBOL_CRC(drm_release, 0x0223482e, "");
SYMBOL_CRC(drm_release_noglobal, 0x094650db, "");
SYMBOL_CRC(drm_read, 0x29bc024c, "");
SYMBOL_CRC(drm_poll, 0x3f88e27e, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0xfe349bac, "");
SYMBOL_CRC(drm_event_reserve_init, 0xe5ac092f, "");
SYMBOL_CRC(drm_event_cancel_free, 0x1a1d3fd9, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x053f83da, "");
SYMBOL_CRC(drm_send_event_locked, 0xca8af229, "");
SYMBOL_CRC(drm_send_event, 0xf086f972, "");
SYMBOL_CRC(drm_print_memory_stats, 0xb9393302, "");
SYMBOL_CRC(drm_show_memory_stats, 0x73b23499, "");
SYMBOL_CRC(drm_show_fdinfo, 0x626bc7c1, "");
SYMBOL_CRC(mock_drm_getfile, 0xff7a03d7, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x81ab968f, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x1114e26b, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x380d1f51, "");
SYMBOL_CRC(drm_framebuffer_init, 0xf0c71c96, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x7915301b, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x105c950b, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xe167532c, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x02cffce1, "");
SYMBOL_CRC(drm_gem_object_init, 0x3bf3bcb0, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x94de7b72, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x29625f1b, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x61d3170b, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x1d1ad956, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x849ef3ce, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xac516cfa, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x5f33920a, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xf7f71fd6, "");
SYMBOL_CRC(drm_gem_get_pages, 0x7a25629e, "");
SYMBOL_CRC(drm_gem_put_pages, 0x4c40337f, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xe20933cf, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x82b0f5a2, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x32b2cd2f, "");
SYMBOL_CRC(drm_gem_object_release, 0x467cfeaa, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xdc9cfa42, "");
SYMBOL_CRC(drm_gem_vm_close, 0xc55a3b3e, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xc920246d, "");
SYMBOL_CRC(drm_gem_mmap, 0xe870b9b4, "");
SYMBOL_CRC(drm_gem_vmap, 0x0d8bea8f, "");
SYMBOL_CRC(drm_gem_vunmap, 0xf95190ea, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x68d4aade, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xc200e469, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xf599bc0e, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xc4462749, "");
SYMBOL_CRC(drm_gem_lru_init, 0xc2662178, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x8bd89815, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xd921b162, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x39e84648, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x2928aad3, "");
SYMBOL_CRC(drm_gem_evict, 0xcc4934e9, "");
SYMBOL_CRC(drm_noop, 0x99ea083a, "");
SYMBOL_CRC(drm_invalid_op, 0xb201d91f, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x6cbf9344, "");
SYMBOL_CRC(drm_ioctl, 0x2b5fcfc5, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x5ef56215, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x83e56348, "");
SYMBOL_CRC(drmm_release_action, 0x7785d62f, "");
SYMBOL_CRC(drmm_kmalloc, 0x20c5a3a0, "");
SYMBOL_CRC(drmm_kstrdup, 0x6b3bbe45, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x680272be, "");
SYMBOL_CRC(__drmm_mutex_release, 0x91a5b98a, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x07e00176, "");
SYMBOL_CRC(drm_mode_config_reset, 0xe5714fbe, "");
SYMBOL_CRC(drmm_mode_config_init, 0x0b3acc58, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x8034791b, "");
SYMBOL_CRC(drm_mode_object_find, 0x955385e3, "");
SYMBOL_CRC(drm_mode_object_put, 0x8ed01431, "");
SYMBOL_CRC(drm_mode_object_get, 0x6bfbbdd4, "");
SYMBOL_CRC(drm_object_attach_property, 0xe2ac6bf5, "");
SYMBOL_CRC(drm_object_property_set_value, 0x0e747a3e, "");
SYMBOL_CRC(drm_object_property_get_value, 0xc5bbc8ec, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x29b0bcbc, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xcf8d91a8, "");
SYMBOL_CRC(drm_mode_destroy, 0xfb729ab8, "");
SYMBOL_CRC(drm_mode_probed_add, 0xf5b2807e, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xa029fbd6, "");
SYMBOL_CRC(drm_cvt_mode, 0x14df2ecc, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xbb5a0390, "");
SYMBOL_CRC(drm_gtf_mode, 0x56f18548, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xffad5d5d, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xb969e1d6, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xac4c504d, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x1a64e9d1, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xb5c7ec63, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0xbb9ffb23, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x82e2be9b, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xb240d9be, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xbd4493f1, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x271451a5, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x49a96a87, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x47a99b74, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xe3ddecc3, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xac8d7157, "");
SYMBOL_CRC(drm_modeset_backoff, 0x5a38ad79, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x9530ad20, "");
SYMBOL_CRC(drm_modeset_lock, 0x4e25a723, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x412dd13b, "");
SYMBOL_CRC(drm_modeset_unlock, 0xaac8aacb, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x91136da5, "");
SYMBOL_CRC(drm_universal_plane_init, 0xb67ac74d, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x8be1cdcd, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x13bf6fd8, "");
SYMBOL_CRC(drm_plane_cleanup, 0xd735afbc, "");
SYMBOL_CRC(drm_plane_from_index, 0xc50fe64b, "");
SYMBOL_CRC(drm_plane_force_disable, 0x9dc143a1, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x0cbe8944, "");
SYMBOL_CRC(drm_any_plane_has_format, 0xf5625698, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x165d82fc, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xfe1351f7, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x1d7f30c1, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x8064db02, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x96cb5bf2, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x731323d6, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xaa94cef9, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xbe6085cd, "");
SYMBOL_CRC(drm_gem_map_attach, 0x81d214db, "");
SYMBOL_CRC(drm_gem_map_detach, 0x19c35e74, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xe6cc3a33, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x455ae2d8, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x22b14cd3, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x6db05259, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xae7c97bd, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x0cf393f6, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x74ca92ab, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x0773e1a3, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x3cc181fe, "");
SYMBOL_CRC(drm_gem_prime_import, 0x85fbb90d, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x69ffd002, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xb626d43a, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x114c1ccc, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xdddcbca6, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x65b962a9, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x21475af8, "");
SYMBOL_CRC(__drm_printfn_info, 0x470cac07, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x1ab5d60a, "");
SYMBOL_CRC(__drm_printfn_err, 0x8c7724de, "");
SYMBOL_CRC(drm_puts, 0x4d8b5a5b, "");
SYMBOL_CRC(drm_printf, 0xd2d42a9f, "");
SYMBOL_CRC(drm_print_bits, 0x2d8c3645, "");
SYMBOL_CRC(drm_dev_printk, 0x3fb3466f, "");
SYMBOL_CRC(__drm_dev_dbg, 0xb1822345, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x6ac5d256, "");
SYMBOL_CRC(drm_property_create, 0xcd04997d, "");
SYMBOL_CRC(drm_property_create_enum, 0x5208c17f, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x577e8806, "");
SYMBOL_CRC(drm_property_create_range, 0x0d12c930, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xa3e814ec, "");
SYMBOL_CRC(drm_property_create_object, 0xbcc205a9, "");
SYMBOL_CRC(drm_property_create_bool, 0x10f91c0b, "");
SYMBOL_CRC(drm_property_add_enum, 0x01fb0047, "");
SYMBOL_CRC(drm_property_destroy, 0x8b08e83e, "");
SYMBOL_CRC(drm_property_create_blob, 0x7cf9ca97, "");
SYMBOL_CRC(drm_property_blob_put, 0xa8c9af30, "");
SYMBOL_CRC(drm_property_blob_get, 0x143edd2f, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xe4891698, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x4c6c944f, "");
SYMBOL_CRC(drm_property_replace_blob, 0x579fb719, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xbe98abe9, "");
SYMBOL_CRC(drm_syncobj_find, 0xc75798da, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x4163a20e, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x4a5e78d1, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xb89a9145, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x0defb77e, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x699c9c71, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x3c5c1a13, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x3be4419a, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xbc9205b8, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xf4e89b33, "");
SYMBOL_CRC(drm_class_device_register, 0x3badf829, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x96686da2, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xc1b2408a, "");
SYMBOL_CRC(drm_vblank_init, 0x8bbf041a, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xe2d0e433, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x0ef3f83e, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x46353d62, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x01fb10ad, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x4ffa5b7f, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x68bf9c36, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x60428f79, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x9cb98943, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x6bd437ae, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x1689aa21, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x272339db, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xff844bd9, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xba7232f8, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x09b27819, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x6f9303f9, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x09a5471c, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xc1d683b7, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xe6a41a03, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xd4457d8d, "");
SYMBOL_CRC(drm_handle_vblank, 0x1a318fc1, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xfebd0cfe, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x8a7d2c23, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xc457321c, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xd86a7687, "");
SYMBOL_CRC(drm_vblank_work_init, 0x4910460d, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xbd760aa3, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0xc6c91ecc, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x4fc3932d, "");
SYMBOL_CRC(drm_vma_offset_add, 0xc799f929, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x2b4874d2, "");
SYMBOL_CRC(drm_vma_node_allow, 0x5d5c1005, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x8f134817, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x22012ade, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x0f9fd553, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x7fd6c32d, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xf4d17afd, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x7edd98c9, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xa8f099eb, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x2e4b8aef, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xc14e72a7, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x23ff9aa1, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x15994664, "");
SYMBOL_CRC(drm_panel_init, 0x7928b10d, "");
SYMBOL_CRC(drm_panel_add, 0xdb62d9b1, "");
SYMBOL_CRC(drm_panel_remove, 0xdaf16a03, "");
SYMBOL_CRC(drm_panel_prepare, 0x66f04b1f, "");
SYMBOL_CRC(drm_panel_unprepare, 0x4caa50cd, "");
SYMBOL_CRC(drm_panel_enable, 0x59b53d1c, "");
SYMBOL_CRC(drm_panel_disable, 0x960a06c1, "");
SYMBOL_CRC(drm_panel_get_modes, 0x0f2f4ef5, "");
SYMBOL_CRC(drm_is_panel_follower, 0x9d91167e, "");
SYMBOL_CRC(drm_panel_add_follower, 0x77feee63, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xc758d45d, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xd7792662, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xf1b8af64, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xbf104af2, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x9155604e, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x0f3f504e, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xae1fdb12, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x5c14fc85, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x8cf9a1f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0xf2a682cc, "try_module_get" },
	{ 0x4bba5b94, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd4f2b908, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa1b945b7, "alloc_anon_inode" },
	{ 0x7c801687, "show_class_attr_string" },
	{ 0xe0604019, "kthread_cancel_work_sync" },
	{ 0xf7f8be0, "is_acpi_device_node" },
	{ 0x9d5b12b1, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x94135a9, "kthread_flush_work" },
	{ 0x121ddca9, "bpf_trace_run4" },
	{ 0x3e6aec4, "ida_destroy" },
	{ 0x5cabf9a3, "idr_find" },
	{ 0x3cda3f38, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x46ec5ce3, "shmem_read_folio_gfp" },
	{ 0x7b8964c2, "__folio_batch_release" },
	{ 0x273e63cd, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xb1530af3, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc0a1d26, "dma_resv_wait_timeout" },
	{ 0x6cbfd8b3, "device_unregister" },
	{ 0xbbfcc493, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xd000241a, "kthread_flush_worker" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9f5d4a2a, "request_firmware" },
	{ 0x3c8de721, "class_destroy" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x20916715, "idr_replace" },
	{ 0x4bf82fac, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x3b6fdbcd, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x5ee4a349, "fd_install" },
	{ 0xd8256731, "dma_fence_chain_ops" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7dbc80dc, "component_del" },
	{ 0x3b98ce00, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x7955bf27, "iput" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0xebb8d097, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0x4abc9e59, "dma_buf_unmap_attachment_unlocked" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x8d772840, "dma_fence_add_callback" },
	{ 0x6a2ef5e0, "synchronize_srcu" },
	{ 0x7b3c59db, "dma_fence_set_deadline" },
	{ 0xb654151c, "get_device" },
	{ 0x7a19dd08, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6af53f50, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x45ecf923, "wake_up_process" },
	{ 0xb23de76b, "dev_driver_string" },
	{ 0x8a45fae9, "dma_buf_map_attachment_unlocked" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4778c2a, "ww_mutex_trylock" },
	{ 0xba5c4549, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x795cbcce, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdb46929b, "dma_max_mapping_size" },
	{ 0x8d6c76b9, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0xfa857b97, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x6597a5da, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x139d015b, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbe3153e9, "dma_fence_remove_callback" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0x55a269fa, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x23baba1f, "atomic_dec_and_mutex_lock" },
	{ 0xda2ebe13, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x41046f45, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x15d14e3a, "idr_remove" },
	{ 0x672055a7, "dma_fence_chain_walk" },
	{ 0xf11dfd0d, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x72bb3667, "__task_pid_nr_ns" },
	{ 0x221f34e1, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xa869a355, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc1d64129, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x8bdf3ddb, "fput" },
	{ 0x9f5297b7, "down_write" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x39ce43c3, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xab7b5af8, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x52188918, "sysfs_remove_link" },
	{ 0x2e158d38, "idr_alloc" },
	{ 0x6d8eba45, "pid_task" },
	{ 0x1fba4005, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x511bb076, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6191bf14, "noop_llseek" },
	{ 0xdb2a9671, "dma_fence_signal" },
	{ 0x35e1f6d0, "folio_mark_accessed" },
	{ 0x6c3356ca, "dma_resv_fini" },
	{ 0x17337ba1, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x565b7c5c, "dma_buf_get" },
	{ 0x86aebe95, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xac802f08, "aperture_remove_conflicting_pci_devices" },
	{ 0xbfe18b53, "ww_mutex_lock" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe2aeeccc, "dma_buf_put" },
	{ 0x88c399e1, "ida_free" },
	{ 0xee5ca626, "dma_buf_fd" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc252ff20, "dma_fence_init" },
	{ 0x8690565a, "mutex_lock_interruptible" },
	{ 0xc5f8ce44, "device_register" },
	{ 0xfb371249, "device_del" },
	{ 0x703d7421, "idr_destroy" },
	{ 0xe173ea79, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x3314446f, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf84991ef, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb0bbb1c9, "devm_aperture_acquire_for_platform_device" },
	{ 0x58550a33, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x269609cb, "check_move_unevictable_folios" },
	{ 0x2eb1efdd, "bpf_trace_run3" },
	{ 0x57e57aad, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xd905a092, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11099ddd, "rt_read_lock" },
	{ 0x434a01aa, "debugfs_create_file" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0xaaf5fb99, "dma_map_sgtable" },
	{ 0x1667eb31, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x8ab2e465, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x9b467ef8, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x36d99657, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x37690be6, "seq_write" },
	{ 0x6f16ebc5, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x99bf0c4a, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc9538d37, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb1df6036, "__rt_mutex_init" },
	{ 0x888c5cc1, "__srcu_read_unlock" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0xa03e7fe1, "i2c_transfer" },
	{ 0xed58fe32, "dma_fence_allocate_private_stub" },
	{ 0xc629e755, "dma_buf_detach" },
	{ 0x8966af98, "dma_fence_signal_timestamp" },
	{ 0x7dc0fd96, "dma_fence_chain_init" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x991143b0, "seq_puts" },
	{ 0x6f6d6c40, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x8b5c9201, "dev_printk" },
	{ 0x3aed5cdf, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x3edb9ae8, "sched_set_fifo" },
	{ 0x6e25de59, "simple_release_fs" },
	{ 0xd9b7e551, "dma_unmap_sg_attrs" },
	{ 0xc9c081f4, "kill_anon_super" },
	{ 0xcd9686ad, "from_kuid_munged" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xb0cf4715, "__devm_add_action" },
	{ 0x3f4b16b7, "component_add" },
	{ 0xf2d133c4, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf634ca44, "dma_fence_chain_find_seqno" },
	{ 0x494921a5, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7c0a586, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1be38563, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x2ef52b0b, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3221fa6e, "__dev_fwnode" },
	{ 0xdd1c4760, "pci_bus_type" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x83db740e, "class_remove_file_ns" },
	{ 0x30c9771f, "simple_pin_fs" },
	{ 0xcc9a80f3, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "8E268A5EEF2B081A790A7B5");
MODULE_INFO(rhelversion, "9.6");
