#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x1b8cf8f5, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x53d36ba9, "_gpl");
SYMBOL_CRC(stm_data_write, 0x7158341b, "_gpl");
SYMBOL_CRC(stm_register_device, 0xee7b2c53, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xdbe27844, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x0320e653, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x8deecdae, "_gpl");
SYMBOL_CRC(stm_source_write, 0x759dd9c9, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xb425d82e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2a682cc, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x40cbae5d, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6cbfd8b3, "device_unregister" },
	{ 0x7056ccba, "pm_runtime_set_autosuspend_delay" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xd07b13fb, "vm_iomap_memory" },
	{ 0xc425d959, "config_item_get" },
	{ 0x3b6fdbcd, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x6a2ef5e0, "synchronize_srcu" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56e5b790, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50dbc2a4, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d6c76b9, "put_device" },
	{ 0x2cb8f6fe, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xda2ebe13, "module_put" },
	{ 0x73dd161a, "compat_ptr_ioctl" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x206d6b8, "init_srcu_struct" },
	{ 0x9f5297b7, "down_write" },
	{ 0x39ce43c3, "up_write" },
	{ 0xf4f12ca1, "configfs_register_subsystem" },
	{ 0xab7b5af8, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x1fba4005, "__srcu_read_lock" },
	{ 0x6d990c78, "config_group_init_type_name" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xe0bf5d79, "class_unregister" },
	{ 0x81cbbe3, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x67bad6c6, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x5e5210d5, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x330337f0, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8caa626e, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x12309d3, "config_item_put" },
	{ 0x36d99657, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4561dbf2, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf7e7880d, "device_match_name" },
	{ 0x888c5cc1, "__srcu_read_unlock" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x64c2a275, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x76796657, "__pm_runtime_use_autosuspend" },
	{ 0xb8d6c38, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xd59e7f92, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6c799eb0, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.6");
