#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xc86743af, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x202676e4, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xe85a78af, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x23b4894e, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x3a4d49f2, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x09bc5b17, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x14e1e626, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xa4e13ccf, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x34afc114, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xdf6390b1, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xbbc81f0a, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x9892940c, "_gpl");
SYMBOL_CRC(dm_get_md, 0xaaae9085, "_gpl");
SYMBOL_CRC(dm_hold, 0x37ab2cbf, "_gpl");
SYMBOL_CRC(dm_device_name, 0xe3daeb1f, "_gpl");
SYMBOL_CRC(dm_put, 0x705ea708, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x5bbf4eb1, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xe642766d, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xc7ab538a, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x470effc1, "_gpl");
SYMBOL_CRC(dm_disk, 0x21565347, "_gpl");
SYMBOL_CRC(dm_suspended, 0x91a566d5, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x21b2f388, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xf964f837, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x29672e3d, "");
SYMBOL_CRC(dm_put_device, 0x7ad07e30, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xeccfe003, "_gpl");
SYMBOL_CRC(dm_table_event, 0xadfe8756, "");
SYMBOL_CRC(dm_table_get_size, 0x904a2659, "");
SYMBOL_CRC(dm_table_get_mode, 0xaeb99159, "");
SYMBOL_CRC(dm_table_get_md, 0x26d96f9d, "");
SYMBOL_CRC(dm_table_device_name, 0x65b23276, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xee5c7776, "");
SYMBOL_CRC(dm_register_target, 0xfa2d0709, "");
SYMBOL_CRC(dm_unregister_target, 0xd4c32e99, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xf56e4a4d, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x9f26f98c, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x6bf8d45d, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x299c75be, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xfdc138c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa3b0218f, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x2b3145b1, "set_disk_ro" },
	{ 0xc3021687, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf2a682cc, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0x61cf3016, "misc_deregister" },
	{ 0xeecf9e65, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5cabf9a3, "idr_find" },
	{ 0xb8382dcf, "param_ops_uint" },
	{ 0x3cda3f38, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84338672, "bio_split_to_limits" },
	{ 0x48afc8d8, "vmalloc_to_page" },
	{ 0x1618e7bf, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x60f3c628, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xc26972bd, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcce9d17a, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x20916715, "idr_replace" },
	{ 0x796ae855, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0xc48ad3ec, "mempool_init" },
	{ 0x2b24be20, "blk_rq_prep_clone" },
	{ 0xbb8e848, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x5ae392e3, "prepare_to_wait" },
	{ 0xecc1048, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x692e835e, "freeze_bdev" },
	{ 0x4fbbf4f5, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0xba622c9a, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x6a2ef5e0, "synchronize_srcu" },
	{ 0x6fa222c, "kmem_cache_create" },
	{ 0x6ce20f1c, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x50974ead, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xab111afd, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x69f039e7, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x24a65332, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xb7d44dd0, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x298f643b, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe116d601, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xe3c717a0, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x78a171f0, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x7bf659d3, "kmalloc_node_trace" },
	{ 0x98a313aa, "__SCK__tp_func_block_split" },
	{ 0xc6aa3f65, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2c718a76, "__free_pages" },
	{ 0xedc02452, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8be81b5b, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb363525b, "submit_bio" },
	{ 0xae0869b, "dax_add_host" },
	{ 0xda2ebe13, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1ee57f1d, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb61e359e, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x15d14e3a, "idr_remove" },
	{ 0x221f34e1, "kobject_uevent_env" },
	{ 0xbca25444, "bio_put" },
	{ 0x70adea3c, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x206d6b8, "init_srcu_struct" },
	{ 0x397da5ac, "__SCK__tp_func_block_bio_remap" },
	{ 0x8bdf3ddb, "fput" },
	{ 0x9f5297b7, "down_write" },
	{ 0x8cc828a1, "blk_revalidate_disk_zones" },
	{ 0x39ce43c3, "up_write" },
	{ 0xfb339538, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2e158d38, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x1fba4005, "__srcu_read_lock" },
	{ 0x511bb076, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32015d12, "thaw_bdev" },
	{ 0x6385b55c, "set_capacity" },
	{ 0xb899c7ce, "submit_bio_noacct" },
	{ 0x6191bf14, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x98d492fc, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xeb6d7d6c, "kmem_cache_free" },
	{ 0x62a2bbb9, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd0a2cf6, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xee9c9ab2, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfd1f461b, "kobject_init_and_add" },
	{ 0x58219e44, "zero_fill_bio_iter" },
	{ 0x860992a2, "bio_add_page" },
	{ 0xb3dea067, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbdf6bdb3, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x312fd632, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x81cbbe3, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x722db7a6, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x703d7421, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xd5024c9a, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x77ef8453, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x48ecfd39, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x24431b50, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe5febee3, "blk_insert_cloned_request" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf748f04e, "down_read" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd884c82d, "audit_log_start" },
	{ 0x330337f0, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x878e1c0f, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x27a01de1, "bio_uninit" },
	{ 0x94ccf2a7, "crypto_shash_final" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xcc4acbef, "param_ops_bool" },
	{ 0x345d8b38, "bioset_init" },
	{ 0x82fea6cd, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xaaebdac5, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x888c5cc1, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x44a2d5de, "__tracepoint_block_bio_remap" },
	{ 0x9f81eec2, "__tracepoint_block_rq_remap" },
	{ 0x97eaa6ef, "bd_link_disk_holder" },
	{ 0xf0c9112d, "blk_mq_start_request" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0xe1a32904, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x476f2d4d, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc230ccf6, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9b651eca, "blk_zone_plug_bio" },
	{ 0x494921a5, "param_ops_int" },
	{ 0x603ecc48, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xd991ccb9, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x5e3c6c35, "queue_limits_set" },
	{ 0xd286d57c, "bio_alloc_bioset" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x6f72aef6, "blk_mq_requeue_request" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x9c3bdaa1, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a805691, "bdev_end_io_acct" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xc3fe1779, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x85eb531b, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb828758e, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0DD5627F430BC7523E7671");
MODULE_INFO(rhelversion, "9.6");
