#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x63a3cb04, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x8a875c4c, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x35e8b7c4, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x265a4204, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xbfce17fa, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xfc1e1a8b, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x77a8edfd, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x5a8c2f70, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xffe6ebb6, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x72b514e4, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x116ab9e3, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x986f528f, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xa6989c0a, "_gpl");
SYMBOL_CRC(usbnet_open, 0x128ec825, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x2af235ae, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xb9b173a4, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xba4ac8b1, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xab3160fe, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x6bee6a0d, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x8f3c60b4, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x613d5748, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xa98cb0e6, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xd90e3e1f, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x2bbaeece, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x7bc02fb3, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x2285a5cb, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x0d80032c, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xa4892d8d, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x462c7a3d, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x5e11ed5e, "");
SYMBOL_CRC(usbnet_manage_power, 0x28b0350f, "");
SYMBOL_CRC(usbnet_link_change, 0xbac3f10c, "");
SYMBOL_CRC(usbnet_read_cmd, 0x31fcf930, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x21c2d821, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x75755934, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xae0b85bc, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x9ae6fae2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd69ac77a, "usb_set_interface" },
	{ 0xbd9f6ade, "usb_string" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf20db891, "skb_defer_rx_timestamp" },
	{ 0x4e22345d, "netif_rx" },
	{ 0x8fb5fe4c, "eth_type_trans" },
	{ 0xeadaf287, "skb_queue_tail" },
	{ 0x9086a542, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa430c982, "skb_queue_purge_reason" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xe8dbd00a, "usb_get_urb" },
	{ 0x4ce9e6cb, "usb_unlink_urb" },
	{ 0x40860ae7, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c91d4c3, "usb_submit_urb" },
	{ 0xd03a209f, "netdev_err" },
	{ 0x3d430f6, "mii_ethtool_get_link_ksettings" },
	{ 0xebf007f6, "mii_ethtool_set_link_ksettings" },
	{ 0x747acb33, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xb4475c0d, "unregister_netdev" },
	{ 0x21b36f75, "usb_scuttle_anchored_urbs" },
	{ 0x7025a1cf, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x36c4bdd3, "free_netdev" },
	{ 0xcde6d125, "netdev_info" },
	{ 0xb5ee3409, "netif_carrier_on" },
	{ 0xbe270a2e, "netif_carrier_off" },
	{ 0x41b3212b, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xab8d3a80, "usb_autopm_get_interface" },
	{ 0xbf4a6923, "usb_autopm_put_interface" },
	{ 0x6f7c6e21, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x17c4174a, "mii_link_ok" },
	{ 0xc645f7f2, "ethtool_op_get_link" },
	{ 0x545b7713, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xee9cff91, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4803dacd, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe4cc7d11, "netif_device_detach" },
	{ 0xb446e753, "netif_device_attach" },
	{ 0x2dc9996, "skb_dequeue" },
	{ 0x2a469748, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xbb9a3a80, "register_netdev" },
	{ 0x2cb8f6fe, "pm_runtime_enable" },
	{ 0xdef2a078, "skb_clone_tx_timestamp" },
	{ 0x44d57c5b, "usb_autopm_get_interface_async" },
	{ 0x29efd7a6, "dev_kfree_skb_any_reason" },
	{ 0xa11fec8f, "skb_tstamp_tx" },
	{ 0xf0e25c0, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x66f198c8, "__netdev_alloc_skb" },
	{ 0x53587e82, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa52456f0, "__wake_up" },
	{ 0xcc88eed0, "netif_tx_wake_queue" },
	{ 0xb712ae61, "usb_get_from_anchor" },
	{ 0xe37202ab, "usb_autopm_get_interface_no_resume" },
	{ 0xa4539ecb, "skb_put" },
	{ 0xb58fec10, "usb_clear_halt" },
	{ 0xf1bb09d2, "eth_mac_addr" },
	{ 0x3c17b31e, "eth_validate_addr" },
	{ 0x8fc017fa, "dev_get_tstats64" },
	{ 0xdbcf4c0a, "ethtool_op_get_ts_info" },
	{ 0x494921a5, "param_ops_int" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
