#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xc1b07c7d, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x3129d775, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x6ac18da9, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xe5fe6626, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x8a6dfd90, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x4e6d5f61, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x441ee7a0, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x084f1c9d, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xacbeee5d, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x2f42ec8f, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xeb19145a, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xb7b4789f, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x1fe1cd7d, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x041c8353, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2a682cc, "try_module_get" },
	{ 0x61cf3016, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d6c76b9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0xda2ebe13, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x52d266dc, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x9f5297b7, "down_write" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x39ce43c3, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x89141cb3, "device_create" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x1b96f257, "seq_putc" },
	{ 0xe0bf5d79, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x28c0a27d, "__nvme_submit_sync_cmd" },
	{ 0x49323551, "nvme_try_sched_reset" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x24431b50, "misc_register" },
	{ 0x164bcce2, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xf748f04e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x57e57aad, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x92c06baf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x991143b0, "seq_puts" },
	{ 0x6f6d6c40, "single_release" },
	{ 0x734dd027, "nvme_wait_reset" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc7c0a586, "single_open" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0xd59e7f92, "class_register" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x54056771, "nvme_auth_negotiate" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.6");
