#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xe8c7868c, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12eb3d91, "nvme_remove_admin_tag_set" },
	{ 0xf57568bd, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0x395cbb42, "nvme_uninit_ctrl" },
	{ 0x3e6aec4, "ida_destroy" },
	{ 0x60497ea3, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x41c8353, "nvmf_free_options" },
	{ 0x8a6dfd90, "nvmf_subsystem_reset" },
	{ 0x53850e8e, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0x9a66cb48, "nvme_stop_keep_alive" },
	{ 0x5f71cec6, "blk_mq_complete_request_remote" },
	{ 0xa79853f5, "dma_unmap_page_attrs" },
	{ 0x29d8e25b, "nvme_setup_cmd" },
	{ 0xaf402bc9, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xfd561ff6, "nvme_alloc_admin_tag_set" },
	{ 0x441ee7a0, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x3129d775, "nvmf_reg_read32" },
	{ 0xa52456f0, "__wake_up" },
	{ 0xedb874b4, "nvme_delete_ctrl" },
	{ 0xb654151c, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23de76b, "dev_driver_string" },
	{ 0xc1b07c7d, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x62741bfa, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x12d97ada, "nvme_remove_io_tag_set" },
	{ 0x12ad283a, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdffcf81a, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2f42ec8f, "nvmf_unregister_transport" },
	{ 0x875e6e29, "blkcg_get_fc_appid" },
	{ 0x8d6c76b9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xfa9f118a, "nvme_change_ctrl_state" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0x5735b256, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75da14aa, "nvme_alloc_io_tag_set" },
	{ 0x8abd6c6b, "nvme_fail_nonready_command" },
	{ 0x221f34e1, "kobject_uevent_env" },
	{ 0x55ee919b, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x89141cb3, "device_create" },
	{ 0xaafb425f, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xb6e030e9, "__blk_rq_map_sg" },
	{ 0x88c399e1, "ida_free" },
	{ 0x6ac18da9, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe0bf5d79, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4e6d5f61, "nvmf_connect_admin_queue" },
	{ 0x876354f0, "nvme_enable_ctrl" },
	{ 0x28215341, "nvme_unquiesce_admin_queue" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6afd5599, "nvme_unquiesce_io_queues" },
	{ 0xc07a6377, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe5fe6626, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x84f1c9d, "nvmf_should_reconnect" },
	{ 0xe8832178, "__dma_sync_single_for_device" },
	{ 0x6e462231, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x92c06baf, "device_destroy" },
	{ 0xd9709db9, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacbeee5d, "nvmf_register_transport" },
	{ 0xf0c9112d, "blk_mq_start_request" },
	{ 0x65173a67, "nvme_quiesce_io_queues" },
	{ 0xfc706a30, "blk_mq_tagset_busy_iter" },
	{ 0x4fb82e9f, "nvme_stop_ctrl" },
	{ 0xd9b7e551, "dma_unmap_sg_attrs" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0xec9f53c5, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x8bc87b86, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x7f13ec51, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd59e7f92, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xce2ec941, "__nvme_check_ready" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x82a7d41a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d04f69f, "nvme_add_ctrl" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
