#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x9de5c5e8, "");
SYMBOL_CRC(ptp_clock_unregister, 0x97f65ec1, "");
SYMBOL_CRC(ptp_clock_event, 0x1597590a, "");
SYMBOL_CRC(ptp_clock_index, 0x18f6e859, "");
SYMBOL_CRC(ptp_find_pin, 0x6bfc7783, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0xe15bc232, "");
SYMBOL_CRC(ptp_schedule_worker, 0xaccea517, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x95b1375f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9d5b12b1, "kthread_create_worker" },
	{ 0x3e6aec4, "ida_destroy" },
	{ 0xbba4d986, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x273e63cd, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x6783bb25, "pps_register_source" },
	{ 0xb59205b0, "finish_wait" },
	{ 0x3c8de721, "class_destroy" },
	{ 0x3b6fdbcd, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xceab8760, "device_for_each_child" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0xa52456f0, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d6c76b9, "put_device" },
	{ 0x96e4be18, "device_for_each_child_reverse" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x87c54323, "kthread_mod_delayed_work" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x17337ba1, "class_create" },
	{ 0x9db23f2a, "pps_event" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x88c399e1, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8690565a, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xa33ac11d, "pps_unregister_source" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1667eb31, "kthread_destroy_worker" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x331984e1, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833360a4, "kthread_queue_delayed_work" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xe356e3d7, "posix_clock_unregister" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "7E217A13F3F3600A3AD6CE4");
MODULE_INFO(rhelversion, "9.6");
