#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xfabf0477, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xb979ed9f, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x99c37ac8, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xf6ec7b5b, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x41a5b897, "");
SYMBOL_CRC(sdw_show_ping_status, 0x2ac57188, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xb6c7be4e, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x91eb5de8, "");
SYMBOL_CRC(sdw_write_no_pm, 0x5a9be47c, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x8a50da03, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x4575ed9e, "");
SYMBOL_CRC(sdw_read_no_pm, 0xa8256dac, "");
SYMBOL_CRC(sdw_update_no_pm, 0x696ca5d5, "");
SYMBOL_CRC(sdw_update, 0xe3c6c562, "");
SYMBOL_CRC(sdw_nread, 0x570ddb26, "");
SYMBOL_CRC(sdw_nwrite, 0xd050a6e4, "");
SYMBOL_CRC(sdw_read, 0x3651587b, "");
SYMBOL_CRC(sdw_write, 0xff2ea866, "");
SYMBOL_CRC(sdw_compare_devid, 0x772faab5, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xbfa60e84, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xb3ff7703, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xa0c7474e, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x605682d1, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x645474b6, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x3479a31c, "");
SYMBOL_CRC(sdw_slave_add, 0xccab732b, "");
SYMBOL_CRC(sdw_master_read_prop, 0xd789d63b, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xbe6acd96, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x1697f087, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x9c88304a, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xc3f86351, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x557a8884, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0xb3bad88, "device_property_present" },
	{ 0x941b5842, "devm_device_add_groups" },
	{ 0xf7f8be0, "is_acpi_device_node" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xddd66317, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x273e63cd, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6cbfd8b3, "device_unregister" },
	{ 0x7056ccba, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xd752ebcf, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xebb8d097, "seq_lseek" },
	{ 0x38997cc, "dev_pm_domain_attach" },
	{ 0x15e7493f, "devm_device_add_group" },
	{ 0xceab8760, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3ffd359, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50dbc2a4, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d6c76b9, "put_device" },
	{ 0x2cb8f6fe, "pm_runtime_enable" },
	{ 0xcb6de7e5, "device_property_read_u32_array" },
	{ 0x24f8f64d, "fwnode_property_read_u32_array" },
	{ 0x56915588, "dev_pm_domain_detach" },
	{ 0x9848d9f5, "pm_generic_runtime_suspend" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ba97661, "bus_unregister" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x86aebe95, "debugfs_remove" },
	{ 0x88c399e1, "ida_free" },
	{ 0x9f0b2ace, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc5f8ce44, "device_register" },
	{ 0xe8f7faf3, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0xa5b4887f, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x14c1b760, "devm_kasprintf" },
	{ 0x57e57aad, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa44a263f, "fwnode_property_present" },
	{ 0x434a01aa, "debugfs_create_file" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x324d1efa, "device_get_named_child_node" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xdaf8875a, "irq_create_mapping_affinity" },
	{ 0x6f6d6c40, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xb4c8002e, "acpi_dev_for_each_child" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x64c2a275, "__pm_runtime_suspend" },
	{ 0x3a193e3d, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x76796657, "__pm_runtime_use_autosuspend" },
	{ 0xc7c0a586, "single_open" },
	{ 0xb8d6c38, "__pm_runtime_disable" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0xbb1f2d5a, "driver_register" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x7a94f54b, "__pm_runtime_idle" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xb57d7274, "bus_register" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA7C3DBD9454D60C45788CA");
MODULE_INFO(rhelversion, "9.6");
