#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x647d6170, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x86925c38, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xff80072f, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x11450764, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf2a682cc, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0x61cf3016, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x40cbae5d, "config_group_init" },
	{ 0x5cabf9a3, "idr_find" },
	{ 0x64cb7b97, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x76884edd, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x221ffaad, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0xc425d959, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9623ebc0, "kernel_bind" },
	{ 0xf8cf34c0, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x46015a77, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x84eeba45, "kset_unregister" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0xebb8d097, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9d64d010, "kernel_kobj" },
	{ 0xee9cff91, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8a7fb5f1, "__tracepoint_sk_data_ready" },
	{ 0x6d3a8797, "call_srcu" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x6a2ef5e0, "synchronize_srcu" },
	{ 0xde508d6f, "kernel_accept" },
	{ 0x63a518f4, "kernel_recvmsg" },
	{ 0x6fa222c, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe25e7eb1, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56e5b790, "configfs_unregister_subsystem" },
	{ 0x45ecf923, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xed0e327f, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xdb66aa4f, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xfd60c2d2, "locks_init_lock" },
	{ 0x823bb683, "kernel_sendpage" },
	{ 0x139d015b, "idr_get_next" },
	{ 0x2c718a76, "__free_pages" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0xedc02452, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda2ebe13, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x15d14e3a, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9f5297b7, "down_write" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0x39ce43c3, "up_write" },
	{ 0xc149e487, "simple_open" },
	{ 0xf4f12ca1, "configfs_register_subsystem" },
	{ 0x2e158d38, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd37921f8, "configfs_remove_default_groups" },
	{ 0x1fba4005, "__srcu_read_lock" },
	{ 0x511bb076, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xb0537bbc, "netlink_unicast" },
	{ 0x6191bf14, "noop_llseek" },
	{ 0xf7351291, "__SCK__tp_func_sk_data_ready" },
	{ 0x6d990c78, "config_group_init_type_name" },
	{ 0x5f611661, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xeb6d7d6c, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x86aebe95, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1b96f257, "seq_putc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0xfd1f461b, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7444a886, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x108cb48c, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x59632614, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x703d7421, "idr_destroy" },
	{ 0x4f38fee2, "default_llseek" },
	{ 0x4bd6e9d5, "sock_set_reuseaddr" },
	{ 0xfb578fc5, "memset" },
	{ 0x24431b50, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf748f04e, "down_read" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6bb071a, "kthread_create_on_node" },
	{ 0x57e57aad, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd905a092, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11099ddd, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x434a01aa, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf2546412, "config_item_init_type_name" },
	{ 0x8d483ca1, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xaaebdac5, "alloc_pages" },
	{ 0x12309d3, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6f16ebc5, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x888c5cc1, "__srcu_read_unlock" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0x2c207fbf, "kobject_uevent" },
	{ 0xa5e47e24, "sock_release" },
	{ 0x991143b0, "seq_puts" },
	{ 0x4803dacd, "remove_wait_queue" },
	{ 0x6f6d6c40, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb6e19e39, "tcp_sock_set_nodelay" },
	{ 0xef292293, "seq_open" },
	{ 0xc93a4c9b, "genl_unregister_family" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc7c0a586, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0x2990740d, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xd4549744, "sock_bind_add" },
	{ 0xae8e0ce4, "locks_copy_lock" },
	{ 0x85eb531b, "kmem_cache_destroy" },
	{ 0x3b661e43, "release_sock" },
	{ 0x3aa7b0c0, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb828758e, "kobject_put" },
	{ 0xb3909db3, "sock_set_keepalive" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9686C9FD92FB6E5873869D2");
MODULE_INFO(rhelversion, "9.6");
