#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x7a2e4f0b, "");
SYMBOL_CRC(wpan_phy_for_each, 0x72a484a5, "");
SYMBOL_CRC(wpan_phy_new, 0xf4eb708b, "");
SYMBOL_CRC(wpan_phy_register, 0xdd7ea5c7, "");
SYMBOL_CRC(wpan_phy_unregister, 0x7c174b46, "");
SYMBOL_CRC(wpan_phy_free, 0xb9712a56, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x6e9dcdce, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x04871930, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x140b0423, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x952fa935, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x121ddca9, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x273e63cd, "dev_set_name" },
	{ 0xe3460560, "trace_output_call" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb59205b0, "finish_wait" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x3b6fdbcd, "device_initialize" },
	{ 0xf8cf34c0, "genlmsg_put" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x40e06225, "bpf_trace_run2" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xa52456f0, "__wake_up" },
	{ 0xb654151c, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x76d3717d, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4724097, "device_rename" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d6c76b9, "put_device" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0x20b91fdf, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7c180b7, "__dev_get_by_index" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0xcdfed0e9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xab7b5af8, "device_add" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xb0537bbc, "netlink_unicast" },
	{ 0x3dc7f2fd, "dev_get_by_index" },
	{ 0x42bfba25, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0xe0bf5d79, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd4599a7a, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcd258351, "bpf_trace_run1" },
	{ 0xfb371249, "device_del" },
	{ 0xcffcc5ba, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0x81ab94d2, "__pskb_pull_tail" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2eb1efdd, "bpf_trace_run3" },
	{ 0x920e295c, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1e3d627d, "get_net_ns_by_pid" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf7e7880d, "device_match_name" },
	{ 0xaf4087a2, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc93a4c9b, "genl_unregister_family" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2990740d, "genl_register_family" },
	{ 0x32d40dbe, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc0a61f18, "register_pernet_device" },
	{ 0x438058b6, "get_net_ns_by_fd" },
	{ 0xd59e7f92, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x6c799eb0, "class_find_device" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "190F46991CF0176DC413D95");
MODULE_INFO(rhelversion, "9.6");
