#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6t_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ip6t_register_table, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_exit, "", "");
KSYMTAB_FUNC(ip6t_do_table, "", "");

SYMBOL_CRC(ip6t_alloc_initial_table, 0x10054fa3, "_gpl");
SYMBOL_CRC(ip6t_register_table, 0x02142f87, "");
SYMBOL_CRC(ip6t_unregister_table_pre_exit, 0x16011a6f, "");
SYMBOL_CRC(ip6t_unregister_table_exit, 0x63380d95, "");
SYMBOL_CRC(ip6t_do_table, 0x9d7dc424, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x14cf5580, "xt_proto_fini" },
	{ 0x7e5084dc, "xt_proto_init" },
	{ 0x6be573fe, "nf_unregister_sockopt" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0x3e90385c, "xt_request_find_match" },
	{ 0xfc6db976, "xt_check_match" },
	{ 0xda2ebe13, "module_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0xe9bdf715, "xt_request_find_target" },
	{ 0xc7d60a8b, "xt_check_target" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8026fb17, "ipv6_find_hdr" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9166fada, "strncpy" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x69e530be, "xt_request_find_table_lock" },
	{ 0xa916b694, "strnlen" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x32e4c692, "xt_table_unlock" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3a29b, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6359a0ca, "nf_log_trace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0x999e8297, "vfree" },
	{ 0xd983f502, "xt_replace_table" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5afbf4a7, "xt_match_to_user" },
	{ 0x1edfde62, "xt_target_to_user" },
	{ 0x99290402, "ns_capable" },
	{ 0x32dce3d3, "xt_find_table_lock" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa0f8eb44, "xt_register_table" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x94efb8ea, "nf_register_net_hooks" },
	{ 0xd9bb821b, "xt_copy_counters" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcff49e8f, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7102fe34, "nf_unregister_net_hooks" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x3436d4f5, "xt_register_targets" },
	{ 0x654e800f, "xt_register_matches" },
	{ 0x7fec01, "nf_register_sockopt" },
	{ 0x1c98912c, "xt_unregister_matches" },
	{ 0x96287396, "xt_unregister_targets" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BB839D93408281A79F6C57");
MODULE_INFO(rhelversion, "9.6");
