#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0xbcf93c4d, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x61c1d347, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x43e8a0f4, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x0acde548, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x46b47506, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0x6667fbf8, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x44c38a7d, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0xa7150eba, "_gpl");
SYMBOL_CRC(ip_set_test, 0x82adda6c, "_gpl");
SYMBOL_CRC(ip_set_add, 0x8a740a60, "_gpl");
SYMBOL_CRC(ip_set_del, 0x361227f6, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x919e4713, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x9cee8ca5, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0xa4e4063b, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0xf4cca560, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0x2b8fda93, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0xcfcd4ec5, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x95e66228, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x3df733da, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6bcc98d3, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf2a682cc, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0xd8724f26, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7fec01, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x96a7aadd, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x59e8b97c, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6be573fe, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x99b7c64a, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0xda2ebe13, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xc92402a2, "nfnetlink_unicast" },
	{ 0x5792f848, "strlcpy" },
	{ 0x5a921311, "strncmp" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x99290402, "ns_capable" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x38007ab, "nfnetlink_subsys_unregister" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x11099ddd, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6f16ebc5, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x494921a5, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "5815AF39C0D30A0623F12F4");
MODULE_INFO(rhelversion, "9.6");
