#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x507b8820, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x34ec9ee4, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x78f95c5c, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x542bef8c, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x2548319d, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x4ccc6521, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ab571da, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7594d26a, "nsh_pop" },
	{ 0xa5184358, "nf_conntrack_find_get" },
	{ 0x7458b76d, "nf_ct_set_timeout" },
	{ 0x11a5aa90, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0xf2a682cc, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x187855aa, "dev_fill_metadata_dst" },
	{ 0x121ddca9, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x305e9cc2, "nf_ct_handle_fragments" },
	{ 0xf1bb09d2, "eth_mac_addr" },
	{ 0xa4539ecb, "skb_put" },
	{ 0xfc4e2f94, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaa1487fe, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x53587e82, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x470f72b5, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x606a39a1, "skb_eth_pop" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0x666cf9fc, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x5d365cdb, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x30f961b1, "nf_ct_helper" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x1b4a9099, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x7702c55f, "rtnl_delete_link" },
	{ 0xdd2e7617, "rtnl_link_register" },
	{ 0xdadd2edf, "nf_connlabels_put" },
	{ 0xf8cf34c0, "genlmsg_put" },
	{ 0x17cf4e53, "___pskb_trim" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb8fad82, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5560082, "dev_set_promiscuity" },
	{ 0xa996ec72, "nf_ct_destroy_timeout" },
	{ 0x80cdd779, "nf_ct_add_helper" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe197b447, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcfa79e4b, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe8593130, "nf_ct_skb_network_trim" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0x9061b074, "unregister_netdevice_queue" },
	{ 0x6fa222c, "kmem_cache_create" },
	{ 0x6d0e25aa, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x70369252, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x76d3717d, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84b2e1f2, "pskb_expand_head" },
	{ 0x31fc2f45, "skb_csum_hwoffload_help" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x88cfd30d, "nf_connlabels_replace" },
	{ 0x8fb5fe4c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc71bdf66, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5143b0fc, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x550f32f7, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0xee304f7e, "skb_eth_push" },
	{ 0xbb0cbcdc, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xedc02452, "kmem_cache_alloc" },
	{ 0x79e7c73, "skb_mpls_pop" },
	{ 0x4318f111, "skb_vlan_pop" },
	{ 0x6dd76bbd, "dst_init" },
	{ 0xda2ebe13, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x904a872, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa9db9035, "rtnl_link_unregister" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xf8d636f6, "ipv6_stub" },
	{ 0xc648f6eb, "skb_mpls_update_lse" },
	{ 0xcdfed0e9, "skb_pull" },
	{ 0xebb406e5, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xb0537bbc, "netlink_unicast" },
	{ 0x6e0cd64b, "bpf_trace_run5" },
	{ 0x40c89a34, "dev_get_by_index_rcu" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x42bfba25, "skb_push" },
	{ 0xeb6d7d6c, "kmem_cache_free" },
	{ 0x7b96e0b7, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0x31d8d0dc, "skb_ensure_writable" },
	{ 0x36c4bdd3, "free_netdev" },
	{ 0x906135cb, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd4599a7a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc645f7f2, "ethtool_op_get_link" },
	{ 0x7f28ac7e, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xcf526870, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x81ab94d2, "__pskb_pull_tail" },
	{ 0x4d535392, "nf_ct_delete" },
	{ 0x7d11d658, "nf_conncount_init" },
	{ 0xbf339e3b, "skb_vlan_push" },
	{ 0x8fc017fa, "dev_get_tstats64" },
	{ 0x4e22345d, "netif_rx" },
	{ 0x66f198c8, "__netdev_alloc_skb" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x1b3e806, "netdev_master_upper_dev_link" },
	{ 0xe6d31b7, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf748f04e, "down_read" },
	{ 0x62b7c8e8, "inet_proto_csum_replace16" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x76626f25, "skb_scrub_packet" },
	{ 0x2bce5659, "nf_ct_deliver_cached_events" },
	{ 0x8026fb17, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x5255771a, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x1d268146, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0x6e490edf, "__skb_checksum" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2e603d29, "inet_proto_csum_replace4" },
	{ 0x7c97bf92, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x53414faf, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9f8247b0, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xaf4087a2, "dev_get_by_name" },
	{ 0x5fb81f1e, "skb_clone" },
	{ 0xa9bcbbee, "metadata_dst_alloc" },
	{ 0x589b3479, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x24b2e869, "peernet2id_alloc" },
	{ 0xfc237b11, "nf_ct_get_tuplepr" },
	{ 0x7b860c86, "netdev_rx_handler_register" },
	{ 0xe687249a, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xc93a4c9b, "genl_unregister_family" },
	{ 0xace4bdeb, "dev_disable_lro" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x29efd7a6, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2990740d, "genl_register_family" },
	{ 0x62bf2da7, "nf_ct_tmpl_free" },
	{ 0x3f7ab2fc, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x637c444c, "__skb_gso_segment" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0xbea58f26, "skb_mpls_push" },
	{ 0xc0a61f18, "register_pernet_device" },
	{ 0x470a754c, "nf_conntrack_in" },
	{ 0x53e71790, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xa1c61bb2, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x85eb531b, "kmem_cache_destroy" },
	{ 0x2c016e8b, "__skb_vlan_pop" },
	{ 0xe7a04f7c, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe6fc7cc5, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "EAE177017CE23B26E274960");
MODULE_INFO(rhelversion, "9.6");
