#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x2af39a03, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x413a80ea, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xd269ae27, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e255219, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x27138f41, "sock_queue_rcv_skb_reason" },
	{ 0x580b46c8, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x121ddca9, "bpf_trace_run4" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0xc5e56a65, "radix_tree_insert" },
	{ 0xa4539ecb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x53587e82, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xfcca3671, "radix_tree_lookup" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x9623ebc0, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8a7fb5f1, "__tracepoint_sk_data_ready" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x679e876b, "__module_get" },
	{ 0x63a518f4, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeca2c1f7, "sk_error_report" },
	{ 0xa430c982, "skb_queue_purge_reason" },
	{ 0x45ec4d08, "radix_tree_iter_delete" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x30cb1828, "proto_unregister" },
	{ 0xacd28198, "sock_register" },
	{ 0xaffeb75, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0x7d69d1dc, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda2ebe13, "module_put" },
	{ 0x666686bd, "__xa_alloc" },
	{ 0xee9e6e8, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x91018a3f, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xe857b638, "xa_load" },
	{ 0xf7351291, "__SCK__tp_func_sk_data_ready" },
	{ 0xcf67ce3a, "kernel_getsockname" },
	{ 0xa81ac806, "do_wait_intr_irq" },
	{ 0xa1265d56, "sk_free" },
	{ 0xed0dc3a8, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x42bfba25, "skb_push" },
	{ 0xf957170d, "sock_no_listen" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7444a886, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18e4638d, "skb_copy_datagram_iter" },
	{ 0xa26abb4a, "sk_alloc" },
	{ 0x5d767d6b, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d6bdf66, "sock_no_mmap" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0x5b4f8dd6, "sock_no_sendpage" },
	{ 0x66f198c8, "__netdev_alloc_skb" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x2602f49b, "__xa_insert" },
	{ 0xa46c8176, "xa_erase" },
	{ 0x2eb1efdd, "bpf_trace_run3" },
	{ 0xbcd22554, "skb_set_owner_w" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x8d483ca1, "sock_create_kern" },
	{ 0x610278d5, "xa_find" },
	{ 0xb640cfdb, "skb_recv_datagram" },
	{ 0x4d70a687, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8a8089f4, "xa_store" },
	{ 0x5fb81f1e, "skb_clone" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0x6b26d7b8, "_copy_from_iter" },
	{ 0xa5e47e24, "sock_release" },
	{ 0xa6e87484, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x79b6fc17, "xa_find_after" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x8023b87a, "iov_iter_revert" },
	{ 0xff465cb7, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x93f48034, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x3b661e43, "release_sock" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6D685FCA11B50D9F3AB646");
MODULE_INFO(rhelversion, "9.6");
