#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_use_lock_sync_helper, "", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_lock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_set_queue_tempo, "", "");
KSYMTAB_FUNC(snd_seq_create_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_delete_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_enqueue, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_dispatch, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_ctl, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_write_poll, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_get, "_gpl", "");
KSYMTAB_FUNC(snd_seq_kernel_client_put, "_gpl", "");
KSYMTAB_FUNC(snd_seq_dump_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event_at, "_gpl", "");
KSYMTAB_FUNC(snd_seq_system_broadcast, "_gpl", "");
KSYMTAB_FUNC(snd_seq_event_port_attach, "", "");
KSYMTAB_FUNC(snd_seq_event_port_detach, "", "");

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0xb8e448a0, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0x26926bc7, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0x26cdfe5b, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0x85cd59a8, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0x76f1cef1, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0x91789868, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0x58cfdc91, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0x23738926, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0xa6e19f8e, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xf0c8f9fa, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0xcbf9166f, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0x91d2db85, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2a682cc, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0xd877efc7, "snd_info_register" },
	{ 0x8b8291af, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x273e63cd, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x9146a29e, "param_array_ops" },
	{ 0xa869a549, "snd_info_free_entry" },
	{ 0x99c8a4db, "snd_seq_root" },
	{ 0x3646012c, "snd_timer_close" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0xee9cff91, "add_wait_queue" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8dcd7a5, "snd_timer_open" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d6c76b9, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0x44abb1e0, "snd_timer_start" },
	{ 0xda2ebe13, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9f5297b7, "down_write" },
	{ 0x39ce43c3, "up_write" },
	{ 0x41cf81ca, "snd_timer_resolution" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xe6eed3f0, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x2a019e03, "snd_unregister_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd85f9134, "snd_device_alloc" },
	{ 0x5cc3cde7, "snd_timer_instance_new" },
	{ 0xfb578fc5, "memset" },
	{ 0x91def1c, "snd_seq_autoload_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xc8b9beaf, "snd_timer_instance_free" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf748f04e, "down_read" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x11099ddd, "rt_read_lock" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x6f16ebc5, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2004b68a, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0x4803dacd, "remove_wait_queue" },
	{ 0x3e8f96af, "stream_open" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x3aed5cdf, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x494921a5, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2ac0835f, "snd_register_device" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x2ef52b0b, "put_pid" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device,snd-timer");


MODULE_INFO(srcversion, "B683DD27576FE47E09D069A");
MODULE_INFO(rhelversion, "9.6");
