#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xc9c1bc4d, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xa46ccc0e, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x984e87f7, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x4cf87cde, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x04d7bf96, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xafc6f0a6, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x667c268d, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xf6788d21, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x535be083, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xe8987179, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xae8e62fa, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xeb960136, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x85050850, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x613aa243, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xb3bad88, "device_property_present" },
	{ 0xdc357061, "regcache_cache_only" },
	{ 0x1cd5d854, "regcache_sync" },
	{ 0xcf635126, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe65f2cd3, "snd_soc_jack_report" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x6659f6ca, "gpiod_set_value_cansleep" },
	{ 0xc728b608, "snd_pcm_hw_constraint_minmax" },
	{ 0xf807bf58, "regcache_sync_region" },
	{ 0xa5b36135, "snd_soc_put_enum_double" },
	{ 0x33785807, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6807970e, "devm_gpiod_get_optional" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc6be5cd, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcb6de7e5, "device_property_read_u32_array" },
	{ 0xd1d97474, "snd_soc_get_enum_double" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0x377edbe1, "snd_soc_info_volsw" },
	{ 0x2404eae, "regcache_drop_region" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa6b61759, "snd_soc_info_enum_double" },
	{ 0x2fc6849c, "snd_soc_get_volsw" },
	{ 0xa2cc5e02, "regmap_read" },
	{ 0x60980920, "snd_soc_put_volsw" },
	{ 0x4c3c44ee, "snd_soc_component_update_bits" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4410dd30, "regmap_bulk_read" },
	{ 0x70da056c, "regmap_update_bits_base" },
	{ 0xc14fd15, "dev_err_probe" },
	{ 0xea556110, "regmap_multi_reg_write" },
	{ 0x64c2a275, "__pm_runtime_suspend" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.6");
