#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0xd18a7bcc, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0x042f890d, "_gpl");
SYMBOL_CRC(ahci_ops, 0x70dc2b8d, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x7ede5a51, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x6a6b9243, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xf4e20780, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x3c643235, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xaf428df8, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xccffe214, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xb1ed582d, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x539ea121, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xe77d8f74, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x853a3e9e, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x0d476e20, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x65a55c79, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xadbbb08c, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xc243943d, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x19de0f3d, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x6737cd14, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xec7c6b84, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x02674d90, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xd12257ae, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xa87653cd, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x978ad5bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x620f0736, "ata_std_qc_defer" },
	{ 0x28fde281, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xd82e9f51, "ata_port_classify" },
	{ 0xf2a3e6fa, "ata_qc_complete_multiple" },
	{ 0x6ed149b1, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x592af4f6, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x73812eb9, "ata_host_start" },
	{ 0x8b7d2622, "devm_request_threaded_irq" },
	{ 0x72f0f3d1, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfe1f2c01, "ata_host_register" },
	{ 0xf74cdd8c, "ata_host_activate" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x508b01e4, "ata_dummy_port_ops" },
	{ 0x615233b, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xddd66317, "devm_kmalloc" },
	{ 0x7bee3296, "dmam_alloc_attrs" },
	{ 0xb23de76b, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x4df0ecb9, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xb7537c56, "sata_link_hardreset" },
	{ 0x8152fd25, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x95b7cffa, "ata_ehi_clear_desc" },
	{ 0xc70b6567, "ata_ehi_push_desc" },
	{ 0x50ec59e9, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x68807a6a, "ata_port_abort" },
	{ 0x4e11f7ec, "sata_lpm_ignore_phy_events" },
	{ 0xd6d8cf80, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x494921a5, "param_ops_int" },
	{ 0xcc4acbef, "param_ops_bool" },
	{ 0xc9eecf35, "sata_pmp_port_ops" },
	{ 0x247c7bd0, "dev_attr_sw_activity" },
	{ 0x6dc677a6, "dev_attr_unload_heads" },
	{ 0x505cd0e8, "dev_attr_ncq_prio_supported" },
	{ 0xa33344ea, "dev_attr_ncq_prio_enable" },
	{ 0xd66dbb30, "dev_attr_link_power_management_policy" },
	{ 0x7b108339, "dev_attr_em_message_type" },
	{ 0x34690ede, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0x7a94f54b, "__pm_runtime_idle" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ae78442, "ata_link_next" },
	{ 0x5b56afa9, "ata_wait_register" },
	{ 0x674ce0f3, "ata_dev_set_feature" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0xd17f89e0, "sata_link_scr_lpm" },
	{ 0x4a8e449e, "ata_msleep" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0xca5bb0e3, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.6");
