#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0xeae6fbe1, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0xd2bad89b, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x54e95ca5, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x4f1e5acc, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0x32ba6e14, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0xb7b4a30e, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x00754143, "_gpl");
SYMBOL_CRC(idxd_drv, 0x86e1e15d, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0xbe94c6c5, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0xb7a73865, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x125dc7e4, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0xca387887, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0xa5f4ca22, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3e6aec4, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfe590657, "pci_msix_vec_count" },
	{ 0xf55b5ff2, "pci_enable_device" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x273e63cd, "dev_set_name" },
	{ 0x2354f348, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xac7ffc7a, "dma_async_device_unregister" },
	{ 0x7a2bd32b, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xac1e67cd, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xfeb2a2e6, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x6cbfd8b3, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa9150a52, "__pci_register_driver" },
	{ 0x47a6e7e8, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x3b6fdbcd, "device_initialize" },
	{ 0x2f49a8a8, "dsa_bus_type" },
	{ 0x68c699c3, "iommu_dev_disable_feature" },
	{ 0xe2dc2e98, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0xebb8d097, "seq_lseek" },
	{ 0x4b53033, "iommu_sva_bind_device" },
	{ 0xa496656b, "iommu_detach_device_pasid" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x979b81c2, "pci_irq_vector" },
	{ 0xb654151c, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x3bfca909, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2763eda2, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x925c5e1d, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb286405c, "sbitmap_prepare_to_wait" },
	{ 0x3866e7a4, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d6c76b9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x7bf659d3, "kmalloc_node_trace" },
	{ 0xc7137569, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xedc02452, "kmem_cache_alloc" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x88cbb1e0, "__idxd_driver_register" },
	{ 0x4a01db4e, "iommu_get_domain_for_dev" },
	{ 0x9299fc88, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ba97661, "bus_unregister" },
	{ 0x9f5297b7, "down_write" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x39ce43c3, "up_write" },
	{ 0xab7b5af8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe2820fe6, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe857b638, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xeb6d7d6c, "kmem_cache_free" },
	{ 0xf6a33b9a, "dma_alloc_attrs" },
	{ 0x86aebe95, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x30a4baf, "dma_async_device_channel_unregister" },
	{ 0x8b46fa40, "iommu_sva_unbind_device" },
	{ 0xa5062540, "sbitmap_queue_clear" },
	{ 0x88c399e1, "ida_free" },
	{ 0x9842806e, "iommu_alloc_global_pasid" },
	{ 0xfc13b739, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x78202a61, "pci_iounmap" },
	{ 0xfb371249, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6c91ffde, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf5353f46, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x239b4250, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe34cd5c5, "dma_async_device_register" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x301a2ab9, "iommu_attach_device_pasid" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xf430428f, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc5a1298b, "dma_set_coherent_mask" },
	{ 0x2602f49b, "__xa_insert" },
	{ 0x57e57aad, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x434a01aa, "debugfs_create_file" },
	{ 0xd488ef80, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa4ec52c1, "sbitmap_finish_wait" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xbd818fb1, "dma_async_device_channel_register" },
	{ 0xcc4acbef, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x449580e8, "xa_destroy" },
	{ 0xda04e75, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x47eb89e0, "pci_disable_device" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x991143b0, "seq_puts" },
	{ 0x6f6d6c40, "single_release" },
	{ 0xd6a414bd, "dma_set_mask" },
	{ 0xc0b0c5f, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x2d1ca5b9, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7c0a586, "single_open" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0x27d8a30d, "__sbitmap_queue_get" },
	{ 0xdb843108, "pci_free_irq_vectors" },
	{ 0x6d283140, "idxd_driver_unregister" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x9f68eab2, "cdev_init" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xb57d7274, "bus_register" },
	{ 0x85eb531b, "kmem_cache_destroy" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "24E8FBC4E0C73648D80442D");
MODULE_INFO(rhelversion, "9.6");
