#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x41c381ab, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xa7c387d2, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x65d4603a, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xeafbcf29, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xe9bdfbc7, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xc5ef3c7b, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x34099268, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xb0fcc3e5, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x21f0c45c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x3afa9912, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x5344803a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x59f96586, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xcd00bbc5, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xd71116e5, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x6bd4e7a3, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x996f4c90, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x68fb882a, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x13692386, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x2f3fd67a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xca14be28, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x226c27cd, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x008b2165, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xc97296c9, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x4e3ce909, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x67d17223, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x1ba33f2e, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x738c74f3, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x169dd3b0, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x4ac3ca2a, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x25847b35, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xb1420529, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xe73e4fb5, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xa1a5d4dd, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xd254a9c3, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x8c839531, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x9532ee52, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x9296d936, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x5caf7652, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x6bb02e29, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x64499546, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x68357e4e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x2fa69bd1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x7a6dbc33, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xda9ce62c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x69250b05, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x9f556c37, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x1d205583, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xd6358c75, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x6dc54c19, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xc78044e7, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x99751a3f, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xce387c66, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xe30b6f98, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xddd8b607, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xf779f3fc, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x3b0ea93b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x7606ee4d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xbc6e011a, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x20579dfc, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x59a4ed36, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x464b5da3, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x3344053c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xedaf319b, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x123ca8ee, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xf03bb315, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x1a34a2f5, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x90a1106d, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xf8554010, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x0d019900, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x39788a56, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x341d0cb3, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x83105b22, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x711d0915, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xd6f3d9ba, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x4b9e9b48, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x6becadd8, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x123a1b75, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x633b7467, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x92da59b2, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x8e7cbde1, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xfaf916a4, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x7758448c, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x3d86921b, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x39d00d6d, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xd5bf40d9, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x2b3c69a9, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x334988e4, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x19dd235b, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xfaefd3f1, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x5740dbb9, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xa14f99ad, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x06a035b9, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xa1da4c8d, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x3eed3ffa, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x3676f103, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x20be98ec, "");
SYMBOL_CRC(drm_flip_work_queue, 0xb9bd0fdd, "");
SYMBOL_CRC(drm_flip_work_commit, 0x26d989f8, "");
SYMBOL_CRC(drm_flip_work_init, 0x82ccda5f, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xaad6ca32, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x9411e72f, "");
SYMBOL_CRC(drm_fb_swab, 0xa8384dad, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x26770b08, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x2c87eecc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x950ba67e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x6631c84f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xc367f5f7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x53ac51f3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xaf1a414f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x0447c6ac, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x1c9cd663, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x28fec41e, "");
SYMBOL_CRC(drm_fb_blit, 0xdd05c72a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x3e5273b1, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x277a8990, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x90484825, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x45c47e74, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xb031f2eb, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x5b369ad2, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x6847def7, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xfa702975, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x82140b56, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x187532ba, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x9d56bfe5, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x6611dc36, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x8b6d1e3a, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x7d62c75e, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x38e7e8d0, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x57690e03, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x1f665494, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x9ac2462d, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xb517e21d, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x4b81142b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x07a9006a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x193cdbd4, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x919d51f8, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x93d0d13c, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xdc360563, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xbd3d80ee, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x84811911, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x2a607c27, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x59f57979, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x34b8ada5, "");
SYMBOL_CRC(drm_crtc_init, 0xe162692b, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x6c4dd39d, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xc574fa4f, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xa9cc8704, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xfe4c895b, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x84d4dc50, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xd6fcbc84, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x192560f5, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x39537c9d, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x73a86739, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xa58b32f7, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x65aad9cc, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x144b05d7, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x359214c7, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x87b52c2d, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x3c302742, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xd6d3ab26, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x7fc28bf5, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x8dc2faef, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xdbd3e0d0, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xd5eb4165, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xf5d14465, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xa6e2f333, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x19b4525a, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xc74a95b7, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xc8752399, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xecca265e, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x5d884bef, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x9e9aba58, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xf65fab69, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xcf63a8ec, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x3a19bb45, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xa514468a, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xc0ae428c, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x6163728f, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xf336c94d, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x6e974934, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x6a70e15b, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x418f8481, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xdea5800e, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xe41e49f9, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xf9ebe722, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x65a82f4e, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xd503c09f, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xb20b6889, "");
SYMBOL_CRC(drm_fb_helper_init, 0xd8677a66, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xdb7c427d, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xb4966713, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x33b2d656, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xaba3f58a, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x64eafb63, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x31079cd4, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x86c2d6ba, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x0f4216d0, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xe4782fa1, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x00a6ffad, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xc9980d5f, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x32b93a3f, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xbdaae646, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x00cca848, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x7afef881, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x74ab5805, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x1491a301, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x9c9512bd, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x11a5b2d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bafdac3, "unregister_framebuffer" },
	{ 0xdeb196cd, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xe167532c, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x180b33d0, "drm_client_register" },
	{ 0x7edd98c9, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf2f4ef5, "drm_panel_get_modes" },
	{ 0x68d4aade, "drm_gem_vmap_unlocked" },
	{ 0xf2a682cc, "try_module_get" },
	{ 0xb5c7ec63, "drm_connector_list_update" },
	{ 0x2713cf4d, "drm_bridge_add" },
	{ 0x1f89eafd, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x8ea19c45, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xddd66317, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x50a98e4d, "drm_client_rotation" },
	{ 0xc3aedcc1, "drm_client_buffer_vmap" },
	{ 0x59b53d1c, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0c71c96, "drm_framebuffer_init" },
	{ 0xb969e1d6, "drm_mode_validate_driver" },
	{ 0x6ec7d1d6, "drm_atomic_add_affected_planes" },
	{ 0x8a4171b, "dma_buf_end_cpu_access" },
	{ 0x271451a5, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5b2807e, "drm_mode_probed_add" },
	{ 0xcdfef16b, "drm_atomic_add_affected_connectors" },
	{ 0xc200e469, "drm_gem_vunmap_unlocked" },
	{ 0xd2347f0, "drm_bridge_hpd_enable" },
	{ 0x68bf9c36, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0xbd4493f1, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2592b669, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x103d6baa, "drm_client_framebuffer_create" },
	{ 0xd5eb630b, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x6bfbbdd4, "drm_mode_object_get" },
	{ 0x6ca7e6cb, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x81ab968f, "drm_driver_legacy_fb_format" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x5a26dac8, "drm_crtc_cleanup" },
	{ 0x19fcf49d, "drm_connector_list_iter_begin" },
	{ 0xc30b504e, "fb_deferred_io_init" },
	{ 0x649fc7ab, "drm_mode_set_config_internal" },
	{ 0x2b7d367c, "fb_deferred_io_cleanup" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0x7ce6aa13, "framebuffer_alloc" },
	{ 0x2a5089ce, "drm_encoder_cleanup" },
	{ 0xf021ee19, "drm_connector_unregister" },
	{ 0x47a99b74, "drm_modeset_acquire_init" },
	{ 0x7b3c59db, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x9a0d597f, "drm_client_modeset_probe" },
	{ 0x49a96a87, "drm_warn_on_modeset_not_all_locked" },
	{ 0x1d7f30c1, "drm_plane_get_damage_clips" },
	{ 0x513f64fc, "devres_add" },
	{ 0x37798d5a, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x260dace5, "drm_add_modes_noedid" },
	{ 0xf6cdc7c2, "drm_bridge_remove" },
	{ 0x8ed01431, "drm_mode_object_put" },
	{ 0xb23de76b, "dev_driver_string" },
	{ 0x272339db, "drm_crtc_vblank_get" },
	{ 0x82b0f5a2, "drm_gem_object_lookup" },
	{ 0x1689aa21, "drm_crtc_send_vblank_event" },
	{ 0x65f7d0da, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xa65f26f3, "fb_sys_write" },
	{ 0x172d75f2, "drm_atomic_normalize_zpos" },
	{ 0xf705c4b3, "drm_edid_connector_update" },
	{ 0x3be4419a, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xae69df1f, "drm_bridge_hpd_disable" },
	{ 0x8d6266bc, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x83e56348, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a5471c, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xde68f5c6, "sys_fillrect" },
	{ 0x74a6e97e, "drm_connector_list_iter_end" },
	{ 0x7e1c8e75, "drm_atomic_set_crtc_for_plane" },
	{ 0x997bd805, "drm_bridge_edid_read" },
	{ 0x638a9ed7, "drm_client_modeset_dpms" },
	{ 0x1a64e9d1, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4bcc3a31, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0x752ec39b, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xd735afbc, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xda2ebe13, "module_put" },
	{ 0x954ca80e, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x93ff9439, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x757b0d1, "drm_client_init" },
	{ 0x9b27819, "drm_crtc_wait_one_vblank" },
	{ 0x9cb98943, "drm_crtc_next_vblank_start" },
	{ 0xabf04a0b, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x4e25a723, "drm_modeset_lock" },
	{ 0x8ee1b9d0, "drm_client_modeset_commit_locked" },
	{ 0xaac8aacb, "drm_modeset_unlock" },
	{ 0x960a06c1, "drm_panel_disable" },
	{ 0x579fb719, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x585e1561, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4df0ecb9, "devm_kfree" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x2e4b8aef, "drm_writeback_cleanup_job" },
	{ 0x91136da5, "drm_modeset_lock_all_ctx" },
	{ 0x66835eec, "i2c_unregister_device" },
	{ 0xa6881277, "drm_atomic_set_fb_for_plane" },
	{ 0x13bf6fd8, "__drm_universal_plane_alloc" },
	{ 0x27c2fed2, "drm_connector_init_with_ddc" },
	{ 0x7d07b64, "drm_edid_connector_add_modes" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xe47bb893, "__devres_alloc_node" },
	{ 0xcf45303f, "drm_edid_read" },
	{ 0xbf6052bb, "drm_crtc_commit_wait" },
	{ 0xe2d0e433, "drm_dev_has_vblank" },
	{ 0xc6cb2a2d, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa76dd1d7, "__drm_atomic_helper_disable_plane" },
	{ 0xe972caa0, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x849ef3ce, "drm_gem_handle_create" },
	{ 0x7321c1bc, "drm_atomic_set_crtc_for_connector" },
	{ 0xa029fbd6, "drm_analog_tv_mode" },
	{ 0x67de6f99, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xffad5d5d, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xff844bd9, "drm_crtc_vblank_put" },
	{ 0x2b645bbd, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xb1822345, "__drm_dev_dbg" },
	{ 0xfe1351f7, "drm_plane_get_damage_clips_count" },
	{ 0x4136f7ba, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xdd35a27f, "fb_deferred_io_mmap" },
	{ 0xddc27b1a, "drm_atomic_state_alloc" },
	{ 0xe68a408f, "drm_client_modeset_commit" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x157c81ba, "drm_atomic_bridge_chain_post_disable" },
	{ 0xe5269db9, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x95352405, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd4e33edf, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x626ae017, "drm_client_release" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4a6620b5, "__drm_atomic_helper_set_config" },
	{ 0x84e373bc, "mutex_trylock" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x18988e3e, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x1114e26b, "drm_get_format_info" },
	{ 0xb44e389a, "drm_connector_cleanup" },
	{ 0xb67ac74d, "drm_universal_plane_init" },
	{ 0xf5625698, "drm_any_plane_has_format" },
	{ 0x6a8576f8, "sys_copyarea" },
	{ 0xae2866d9, "drm_connector_list_iter_next" },
	{ 0xe3ddecc3, "drm_modeset_acquire_fini" },
	{ 0xf30137f1, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x29b0bcbc, "drm_object_property_get_default_value" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xcc4acbef, "param_ops_bool" },
	{ 0xb74ab749, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5a38ad79, "drm_modeset_backoff" },
	{ 0x66f04b1f, "drm_panel_prepare" },
	{ 0x4cf17efd, "drm_bridge_chain_mode_set" },
	{ 0x40fe58b1, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x1eb0cce7, "fb_sys_read" },
	{ 0x6068c50e, "drm_atomic_get_plane_state" },
	{ 0xf0c8c46b, "drm_atomic_bridge_chain_check" },
	{ 0x7dc0fd96, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x143edd2f, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa8c9af30, "drm_property_blob_put" },
	{ 0xfb729ab8, "drm_mode_destroy" },
	{ 0x4052d6c5, "drm_bridge_attach" },
	{ 0xb240d9be, "drm_set_preferred_mode" },
	{ 0x5421b918, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x1fe284ff, "drm_atomic_state_clear" },
	{ 0xe5714fbe, "drm_mode_config_reset" },
	{ 0x7cf9ca97, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0xac8d7157, "drm_modeset_drop_locks" },
	{ 0x73f814b, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb14b6589, "drm_atomic_bridge_chain_disable" },
	{ 0x82e2be9b, "drm_mode_create_from_cmdline_mode" },
	{ 0xac4c504d, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x494921a5, "param_ops_int" },
	{ 0xc3d1219c, "drm_atomic_nonblocking_commit" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xd585a480, "drm_master_internal_release" },
	{ 0x46353d62, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x4caa50cd, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xb70db3d0, "drm_atomic_add_encoder_bridges" },
	{ 0xccbdfe05, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc9205b8, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.6");
