#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x750eae89, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xccc31514, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x7887ff5d, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x37203748, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x88443e32, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x5a4e6f73, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x729a6aed, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x1aed2ffe, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xca039210, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x8b327874, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x5ce70ed4, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x92afbb6f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x8d586c9a, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x48e28d77, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x00973602, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x36d81b4e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xa9be3d2f, "vmf_insert_pfn" },
	{ 0xd4f2b908, "ww_mutex_lock_interruptible" },
	{ 0x7a25629e, "drm_gem_get_pages" },
	{ 0xa7a37190, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x113e7b7a, "invalidate_mapping_pages" },
	{ 0x4bf82fac, "ww_mutex_unlock" },
	{ 0x3b98ce00, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xb98b179b, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7f71fd6, "drm_gem_create_mmap_offset" },
	{ 0x3bf3bcb0, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23de76b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x94de7b72, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc92019f0, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc55a3b3e, "drm_gem_vm_close" },
	{ 0xdc9cfa42, "drm_gem_vm_open" },
	{ 0x9f5297b7, "down_write" },
	{ 0x39ce43c3, "up_write" },
	{ 0x467cfeaa, "drm_gem_object_release" },
	{ 0xbfe18b53, "ww_mutex_lock" },
	{ 0x40d59962, "vmap" },
	{ 0x849ef3ce, "drm_gem_handle_create" },
	{ 0xb1822345, "__drm_dev_dbg" },
	{ 0x74ca92ab, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8934b96d, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x56261111, "shmem_truncate_range" },
	{ 0xed933111, "set_pages_array_wc" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xaaf5fb99, "dma_map_sgtable" },
	{ 0xac516cfa, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9b7e551, "dma_unmap_sg_attrs" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x4c40337f, "drm_gem_put_pages" },
	{ 0x29625f1b, "drm_gem_private_object_fini" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xb626d43a, "drm_prime_gem_destroy" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.6");
