#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x1f638a7c, "");
SYMBOL_CRC(drm_gem_vram_put, 0xdaa59eaf, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x4d790712, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xb9d0fb93, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x73988487, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xca031e35, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x3581c29b, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xc17617a5, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x9aade328, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x703e00c5, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xbe992340, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x65b30a51, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xff448623, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x943ebfaf, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x0d52830c, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x3f523a28, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc1334a0, "ttm_range_man_init_nocheck" },
	{ 0xd4f2b908, "ww_mutex_lock_interruptible" },
	{ 0x6b180b18, "ttm_resource_manager_debug" },
	{ 0x4bf82fac, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x28b16d16, "ttm_range_man_fini_nocheck" },
	{ 0x3bf3bcb0, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88ce68a4, "ttm_bo_pin" },
	{ 0xb23de76b, "dev_driver_string" },
	{ 0xb4dd9043, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x83e56348, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa28aab4d, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x467cfeaa, "drm_gem_object_release" },
	{ 0xb2dc73fc, "ttm_tt_init" },
	{ 0x849ef3ce, "drm_gem_handle_create" },
	{ 0x1f665494, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe077d7f0, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x5c14fc85, "drm_debugfs_add_files" },
	{ 0xb28239cd, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e8f86b7, "ttm_device_init" },
	{ 0xf438a725, "ttm_bo_validate" },
	{ 0xa353450a, "ttm_bo_move_to_lru_tail" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x533ca702, "ttm_bo_vmap" },
	{ 0x3cf921ea, "ttm_bo_put" },
	{ 0x525d68cd, "ttm_resource_free" },
	{ 0x65aec3a2, "ttm_bo_move_memcpy" },
	{ 0x510dbf6a, "ttm_tt_fini" },
	{ 0x3c7ee11, "ttm_device_fini" },
	{ 0x90484825, "drm_gem_plane_helper_prepare_fb" },
	{ 0x4bcb0517, "ttm_bo_eviction_valuable" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x90c9f1c7, "drm_gem_ttm_print_info" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
