#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x8ee9eb52, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xaf10163f, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x9647083e, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x0b058094, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x31e93906, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xe65c8408, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xb33e1926, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xbf91b9b6, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x15595052, "_gpl");
SYMBOL_CRC(can_bus_off, 0x478b2968, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x565af722, "_gpl");
SYMBOL_CRC(free_candev, 0xd5ab72f0, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xb614333f, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x169b203d, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xcc42743c, "");
SYMBOL_CRC(open_candev, 0x3c5d12be, "_gpl");
SYMBOL_CRC(close_candev, 0x76077c60, "_gpl");
SYMBOL_CRC(register_candev, 0x2f9ee836, "_gpl");
SYMBOL_CRC(unregister_candev, 0xc07f062c, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xe4301f72, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xda852d1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa4539ecb, "skb_put" },
	{ 0x6d1fa904, "gpiod_set_value" },
	{ 0xa11fec8f, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x53587e82, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb4475c0d, "unregister_netdev" },
	{ 0xdd2e7617, "rtnl_link_register" },
	{ 0xcc3d4553, "netdev_warn" },
	{ 0x6807970e, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd03a209f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc71bdf66, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xcb6de7e5, "device_property_read_u32_array" },
	{ 0xa9db9035, "rtnl_link_unregister" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0xbb9a3a80, "register_netdev" },
	{ 0x36c4bdd3, "free_netdev" },
	{ 0x62d507ce, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4e22345d, "netif_rx" },
	{ 0x66f198c8, "__netdev_alloc_skb" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0x9086a542, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe270a2e, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5fb81f1e, "skb_clone" },
	{ 0xb5ee3409, "netif_carrier_on" },
	{ 0xc14fd15, "dev_err_probe" },
	{ 0x29efd7a6, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xdef2a078, "skb_clone_tx_timestamp" },
	{ 0xcde6d125, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
