#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x4a4802d6, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xa20bc418, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x8ef08f66, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x9bce2e71, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xa35f203d, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xd6a28a24, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdefc145, "mdiobus_alloc_size" },
	{ 0xe0d7aed2, "__tracepoint_xdp_exception" },
	{ 0xb1eaf6bd, "xsk_tx_completed" },
	{ 0x5e928f4c, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3e50db54, "xp_alloc" },
	{ 0xe65df773, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebf65875, "bpf_prog_put" },
	{ 0x44d94dd5, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x486f98c8, "xp_dma_map" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xddd66317, "devm_kmalloc" },
	{ 0xf1bb09d2, "eth_mac_addr" },
	{ 0xa4539ecb, "skb_put" },
	{ 0xa11fec8f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x93bef227, "netdev_update_features" },
	{ 0x53587e82, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3de517da, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5a86c92, "hrtimer_try_to_cancel" },
	{ 0x59b63101, "bpf_warn_invalid_xdp_action" },
	{ 0xb4475c0d, "unregister_netdev" },
	{ 0x4ea3885c, "xdp_convert_zc_to_xdp_frame" },
	{ 0x7d5c197b, "xdp_features_set_redirect_target" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xa79853f5, "dma_unmap_page_attrs" },
	{ 0xc9aab9a7, "hrtimer_init" },
	{ 0x5cceae6a, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x18f6e859, "ptp_clock_index" },
	{ 0xa8bfbee7, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0xebb8d097, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeb5e9740, "page_pool_destroy" },
	{ 0x28029ab7, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc3d4553, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x160fa7b, "flow_rule_match_ipv4_addrs" },
	{ 0x9927adc1, "xdp_rxq_info_unreg_mem_model" },
	{ 0x4a38890d, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xd03a209f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91fd0fe6, "phylink_limit_mac_speed" },
	{ 0x1ae2b0a2, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xb23de76b, "dev_driver_string" },
	{ 0x365ee681, "pinctrl_pm_select_default_state" },
	{ 0x887a0a3d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8fb5fe4c, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50dbc2a4, "__pm_runtime_set_status" },
	{ 0x62741bfa, "dma_map_page_attrs" },
	{ 0x79c7528b, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x659d4137, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x62ab8adf, "pm_wakeup_dev_event" },
	{ 0x320e863e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3a3ed4a, "__napi_schedule" },
	{ 0x2cb8f6fe, "pm_runtime_enable" },
	{ 0xf2711bca, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xe4cc7d11, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6a5ec7c0, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0x7ed61845, "xpcs_create_mdiodev" },
	{ 0x4cdfec33, "napi_gro_receive" },
	{ 0xb446e753, "netif_device_attach" },
	{ 0x4f487844, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x22555f5b, "netdev_pick_tx" },
	{ 0xd8a28e72, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x62bd0dd4, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb741272e, "xdp_rxq_info_is_reg" },
	{ 0xf7cb35c0, "devm_alloc_etherdev_mqs" },
	{ 0x5db1c59a, "flow_block_cb_setup_simple" },
	{ 0x148c1ab2, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x6dcb63e7, "dev_open" },
	{ 0x55ee919b, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0xd8d0249f, "xpcs_destroy" },
	{ 0xb7bb1ecf, "pinctrl_pm_select_sleep_state" },
	{ 0xcdfed0e9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfabcdb6, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9de5c5e8, "ptp_clock_register" },
	{ 0x51abd73a, "xsk_tx_peek_desc" },
	{ 0x955aa726, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x30c6aad8, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x7e37f9bf, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xf6a33b9a, "dma_alloc_attrs" },
	{ 0x86aebe95, "debugfs_remove" },
	{ 0x38813548, "napi_enable" },
	{ 0xac674418, "xsk_clear_rx_need_wakeup" },
	{ 0x62e26b0, "xpcs_get_interfaces" },
	{ 0x9bb73bbd, "xsk_uses_need_wakeup" },
	{ 0xbb9a3a80, "register_netdev" },
	{ 0x71318ed3, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x397c5aed, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xe6c0f750, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc645f7f2, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xd75047fc, "__SCK__tp_func_xdp_exception" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xcc88eed0, "netif_tx_wake_queue" },
	{ 0x8a22b5b, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc968bdde, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x91711f56, "flow_rule_match_ports" },
	{ 0xb659b9a, "phylink_fwnode_phy_connect" },
	{ 0xbba733c2, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1597590a, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xa0153da0, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c73e00d, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0x97f65ec1, "ptp_clock_unregister" },
	{ 0x527fbac1, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x8562763e, "xpcs_get_an_mode" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9086a542, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e8d44a1, "xdp_return_frame_rx_napi" },
	{ 0xc7b41c34, "netdev_alert" },
	{ 0xc5a1298b, "dma_set_coherent_mask" },
	{ 0x57e57aad, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb9c16833, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x11099ddd, "rt_read_lock" },
	{ 0xbcdfb189, "debugfs_rename" },
	{ 0x434a01aa, "debugfs_create_file" },
	{ 0x8ab51f93, "xsk_set_tx_need_wakeup" },
	{ 0xd488ef80, "dma_free_attrs" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe8832178, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd56c799f, "xp_set_rxq_info" },
	{ 0xfb506a6c, "flow_rule_match_vlan" },
	{ 0xa08551a2, "xdp_rxq_info_unreg" },
	{ 0xb43ea8df, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x75a0e701, "__xdp_rxq_info_reg" },
	{ 0x6f16ebc5, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe270a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x65bf9d00, "mdiobus_get_phy" },
	{ 0xb5ee3409, "netif_carrier_on" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xdee68e51, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc78ce62e, "hrtimer_cancel" },
	{ 0x735e64c0, "xp_free" },
	{ 0x6f6d6c40, "single_release" },
	{ 0xd6a414bd, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xc14fd15, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0xc8dcd380, "xdp_master_redirect" },
	{ 0x43ae3da8, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x22895f3c, "napi_schedule_prep" },
	{ 0xab92ef8f, "napi_disable" },
	{ 0x29efd7a6, "dev_kfree_skb_any_reason" },
	{ 0x7c8232c7, "eth_header_parse_protocol" },
	{ 0x494921a5, "param_ops_int" },
	{ 0xc7c0a586, "single_open" },
	{ 0xb8d6c38, "__pm_runtime_disable" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xdef2a078, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x7a94f54b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdbcf4c0a, "ethtool_op_get_ts_info" },
	{ 0xde58ae19, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3221fa6e, "__dev_fwnode" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xcde6d125, "netdev_info" },
	{ 0xcb2819e8, "page_pool_put_unrefed_page" },
	{ 0x8bb007ca, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "7182F11C86F90D684550414");
MODULE_INFO(rhelversion, "9.6");
