#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xdafbe17c, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x19c9cead, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x59650503, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x6a5ce544, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x90490902, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xd11cb2c3, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x5d92dcf2, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xb28f4564, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x88718e8b, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x23b3bf4a, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xf2cb17e6, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x9c831126, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xcd6475ac, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x5d455ce5, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x6d993b30, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x65e8cfd5, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xe941ab77, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x3b9dee8d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x125553b7, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x64844f81, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x0c4d997c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a0dd0b0, "mdiobus_write" },
	{ 0xfc3e08a0, "mdiobus_read" },
	{ 0x295aeac3, "phy_write_mmd" },
	{ 0xa040af92, "phy_modify" },
	{ 0xe977f8bc, "phy_trigger_machine" },
	{ 0x966d202a, "phy_error" },
	{ 0x473c6ba8, "phy_modify_changed" },
	{ 0x3edcbd2, "genphy_update_link" },
	{ 0xd70ef6b2, "genphy_read_lpa" },
	{ 0x624b0d7d, "phy_resolve_aneg_pause" },
	{ 0xb5899fbc, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x310185d5, "phy_read_mmd" },
	{ 0x58b2626, "ethnl_cable_test_result_with_src" },
	{ 0x348a312d, "ethnl_cable_test_fault_length_with_src" },
	{ 0xa1a8f72e, "phy_modify_mmd" },
	{ 0x2d8dda99, "genphy_soft_reset" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
