#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x05ca960f, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x15613bb5, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xd3e075a4, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x9fd0fa0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x74e9b9fc, "__skb_checksum_complete" },
	{ 0x14107d72, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0xd8724f26, "__nlmsg_put" },
	{ 0x6cea4930, "netdev_adjacent_change_commit" },
	{ 0xf1bb09d2, "eth_mac_addr" },
	{ 0xa4539ecb, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x75929a69, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb07faed5, "ip6_dst_hoplimit" },
	{ 0xfd745f14, "param_ops_ushort" },
	{ 0x53587e82, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x4c62bced, "udp_sock_create4" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xf4d7e73a, "udp_tunnel6_xmit_skb" },
	{ 0xdd2e7617, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x53769274, "__unregister_nexthop_notifier" },
	{ 0x2457d196, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3c17b31e, "eth_validate_addr" },
	{ 0x618371dd, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa486b7de, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9eeb29dd, "rtnl_create_link" },
	{ 0x9061b074, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x53ff248f, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x70369252, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x418051d2, "udp_tunnel_drop_rx_port" },
	{ 0x84b2e1f2, "pskb_expand_head" },
	{ 0x3aedaa6b, "netdev_upper_dev_link" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x90e4deb6, "netdev_core_stats_alloc" },
	{ 0x8fb5fe4c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0x10400ba9, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf114577e, "eth_gro_complete" },
	{ 0x2cc8c905, "rtnl_set_sk_err" },
	{ 0xe45ffa4a, "eth_gro_receive" },
	{ 0x75176615, "rtnl_configure_link" },
	{ 0x21771990, "skb_tunnel_check_pmtu" },
	{ 0x4d7e9647, "udp_tunnel_dst_lookup" },
	{ 0x434464b4, "rtnl_unicast" },
	{ 0xb3b4aa2c, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x904a872, "__skb_get_hash_net" },
	{ 0xc61cb61b, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe7c180b7, "__dev_get_by_index" },
	{ 0xa9db9035, "rtnl_link_unregister" },
	{ 0xf8d636f6, "ipv6_stub" },
	{ 0xcdfed0e9, "skb_pull" },
	{ 0xb0504dee, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x40c89a34, "dev_get_by_index_rcu" },
	{ 0x71b95600, "gro_cells_receive" },
	{ 0x42bfba25, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x7b96e0b7, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x36c4bdd3, "free_netdev" },
	{ 0x70ec3e18, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe6a87fdd, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7444a886, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc645f7f2, "ethtool_op_get_link" },
	{ 0x558fa9e0, "nexthop_find_by_id" },
	{ 0xbbdfaa3e, "arp_create" },
	{ 0xee45a174, "__ethtool_get_link_ksettings" },
	{ 0x3f938df8, "netdev_adjacent_change_prepare" },
	{  0x1829c, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe477db2a, "rhashtable_free_and_destroy" },
	{ 0xafd1f189, "rht_bucket_nested_insert" },
	{ 0x46744c0e, "netdev_adjacent_change_abort" },
	{ 0x49ee7f11, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xee49ee1b, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1c1c30de, "__iptunnel_pull_header" },
	{ 0x81ab94d2, "__pskb_pull_tail" },
	{ 0x8fc017fa, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4e22345d, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x61be68f, "rhashtable_destroy" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x986c6166, "setup_udp_tunnel_sock" },
	{ 0x8add1ff9, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9086a542, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x76626f25, "skb_scrub_packet" },
	{ 0xe4a20209, "nexthop_select_path" },
	{ 0xa6ee9027, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1043883b, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x94a6371a, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xcc4acbef, "param_ops_bool" },
	{ 0xbd1d1ee3, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xadee9b01, "rtnl_notify" },
	{ 0x6d1549f3, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x19aaf8e, "__netif_rx" },
	{ 0x5fb81f1e, "skb_clone" },
	{ 0xa9bcbbee, "metadata_dst_alloc" },
	{ 0x589b3479, "dst_release" },
	{ 0x493f7cf9, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x9eb7ffb5, "udp_tunnel_notify_del_rx_port" },
	{ 0x9f966074, "register_nexthop_notifier" },
	{ 0x7ed95b62, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xa919dcc9, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xcde6d125, "netdev_info" },
	{ 0xf2b8f91e, "neigh_lookup" },
	{ 0x3b661e43, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe6fc7cc5, "register_netdevice" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BB37D63BC97FB7A0303C0CC");
MODULE_INFO(rhelversion, "9.6");
