#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x8f84aac7, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x0a604a67, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xf949aa21, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x824150ee, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x0acc3b8c, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xd94659da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0x4abdcf6e, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd8724f26, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa4539ecb, "skb_put" },
	{ 0x273e63cd, "dev_set_name" },
	{ 0x53587e82, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6cbfd8b3, "device_unregister" },
	{ 0x2dc9996, "skb_dequeue" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0xdd2e7617, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xceab8760, "device_for_each_child" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x9eeb29dd, "rtnl_create_link" },
	{ 0x9061b074, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa430c982, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc71bdf66, "alloc_netdev_mqs" },
	{ 0x13bfba2d, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d6c76b9, "put_device" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0xeadaf287, "skb_queue_tail" },
	{ 0x75176615, "rtnl_configure_link" },
	{ 0x73dd161a, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa9db9035, "rtnl_link_unregister" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0xcdfed0e9, "skb_pull" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0x6191bf14, "noop_llseek" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x86aebe95, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0x88c399e1, "ida_free" },
	{ 0x36c4bdd3, "free_netdev" },
	{ 0xe0bf5d79, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa83439fe, "class_dev_iter_init" },
	{ 0xc5f8ce44, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x36d99657, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e8f96af, "stream_open" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0xd1e2dd79, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xd59e7f92, "class_register" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xdf6a1774, "skb_queue_head" },
	{ 0x6c799eb0, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe6fc7cc5, "register_netdevice" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
