#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xe5f153a7, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x2d4c80c1, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x22c58a92, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x057cb563, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x5707e769, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x51734294, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x840a3ac9, "_gpl");
SYMBOL_CRC(ucsi_create, 0xb48122c8, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x188a5bec, "_gpl");
SYMBOL_CRC(ucsi_register, 0x8df28532, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x6d497fba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x137befd2, "typec_partner_set_pd_revision" },
	{ 0x333d0f4f, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x21b400db, "typec_register_partner" },
	{ 0x9140dac3, "typec_port_set_usb_power_delivery" },
	{ 0xc5299eab, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd895f115, "typec_port_register_altmode" },
	{ 0x7aae9d55, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xa115a33e, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0x3f0d8504, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0xebb8d097, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x40e06225, "bpf_trace_run2" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xa2a283ef, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f90ed6e, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0x5cdb9d9, "typec_partner_register_altmode" },
	{ 0x88cf7889, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2972ded4, "typec_unregister_partner" },
	{ 0x450a2ff6, "typec_set_pwr_opmode" },
	{ 0x9c1b4943, "typec_cable_set_identity" },
	{ 0xd15f3d3, "debugfs_attr_read" },
	{ 0xc29cb166, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0xb206ec0f, "typec_altmode_update_active" },
	{ 0x6caa49b7, "device_property_read_u8_array" },
	{ 0x987a4f4c, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xd6779cdf, "usb_power_delivery_register_capabilities" },
	{ 0xf1ea11de, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x86aebe95, "debugfs_remove" },
	{ 0x22125835, "usb_power_delivery_unregister" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0x1cd5d609, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe47e7db8, "typec_unregister_port" },
	{ 0xfaef65dc, "power_supply_get_drvdata" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x263d255f, "typec_register_port" },
	{ 0xa5b65bb2, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0ea9e3e, "typec_partner_set_usb_power_delivery" },
	{ 0x418145e5, "power_supply_changed" },
	{ 0x6e6e8339, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf261b736, "typec_plug_register_altmode" },
	{ 0x14c1b760, "devm_kasprintf" },
	{ 0x57e57aad, "seq_read" },
	{ 0x434a01aa, "debugfs_create_file" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x76fb592a, "typec_unregister_altmode" },
	{ 0xe1c745a6, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x956a0f4d, "usb_power_delivery_unregister_capabilities" },
	{ 0xdcea7235, "typec_get_drvdata" },
	{ 0x91192100, "typec_partner_set_identity" },
	{ 0x3ee27cc, "power_supply_unregister" },
	{ 0x6f6d6c40, "single_release" },
	{ 0xf00e076f, "typec_set_pwr_role" },
	{ 0x8df2484e, "typec_partner_usb_power_delivery_register" },
	{ 0xc14fd15, "dev_err_probe" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x5fd0c4ba, "usb_debug_root" },
	{ 0x8c25b1, "device_get_next_child_node" },
	{ 0xc7c0a586, "single_open" },
	{ 0x52e4755a, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3221fa6e, "__dev_fwnode" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.6");
