#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x4b71de2b, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xa073a7aa, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xf936b0e4, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x78a3f36e, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x925c091f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xa37352b5, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x0e9ed6dd, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xe117f996, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xe456d031, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x4b8f7e59, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x4b95f99c, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xa964ecd4, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xd2ace6b3, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x690d02ca, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x90099dc7, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x49cb296e, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x0087c443, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xb1959be8, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xff9f5208, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x39c6f2af, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x9983ac8d, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xf499d81d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xed8ad97a, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x72c2048b, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x54eb56ae, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x6cf04d7b, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x4253ef1a, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8787c6b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xa9be3d2f, "vmf_insert_pfn" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0xd587eafe, "pci_read_vpd" },
	{ 0xd8d9c30c, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe21f912a, "pci_request_selected_regions" },
	{ 0x8af2c97a, "pci_release_selected_regions" },
	{ 0xe8c7b514, "pci_user_write_config_byte" },
	{ 0xf55b5ff2, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x10451138, "pci_bus_max_busnr" },
	{ 0x2f65a359, "pci_check_and_mask_intx" },
	{ 0x2354f348, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x7a2bd32b, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x8c1f035f, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa30eabe3, "pci_dev_put" },
	{ 0xed6d8264, "iommu_group_get" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xb8dc1fa0, "vfio_virqfd_disable" },
	{ 0xa5159c05, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfe828248, "fget" },
	{ 0x2007e5f8, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b98ce00, "unmap_mapping_range" },
	{ 0xb68e9c0a, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a97c147, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe84ee393, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x40a09819, "pci_probe_reset_slot" },
	{ 0x42a74400, "pci_set_power_state" },
	{ 0x979b81c2, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xe25e7eb1, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf972ed82, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8afebb39, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x22e1f476, "pci_user_write_config_word" },
	{ 0xf4ef426, "vfio_iommufd_device_ictx" },
	{ 0x928d0633, "bus_register_notifier" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0x9fd19447, "vfio_file_is_group" },
	{ 0x5d83bbb0, "pci_msix_can_alloc_dyn" },
	{ 0xf263e954, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5b31847b, "pci_clear_master" },
	{ 0x6a1c5dfb, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x8bdf3ddb, "fput" },
	{ 0x9f5297b7, "down_write" },
	{ 0x39ce43c3, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe857b638, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x33f4a645, "pci_write_vpd" },
	{ 0xfc2ba03, "vfio_virqfd_enable" },
	{ 0x74b2f597, "vga_client_register" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x354a24a3, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xac802f08, "aperture_remove_conflicting_pci_devices" },
	{ 0x47bc1ce2, "vfio_unregister_group_dev" },
	{ 0x22d6aebf, "pci_map_rom" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd1a6dba2, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0x78202a61, "pci_iounmap" },
	{ 0xb3f009a4, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x448577b4, "pcie_get_mps" },
	{ 0xeee0b6f6, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5bfb93f2, "down_write_trylock" },
	{ 0xf748f04e, "down_read" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xcb489f39, "pci_dev_driver" },
	{ 0x2602f49b, "__xa_insert" },
	{ 0xa46c8176, "xa_erase" },
	{ 0x2f6abac3, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xbbeb1f49, "_dev_notice" },
	{ 0x8caa626e, "pm_runtime_forbid" },
	{ 0xeeac02ff, "pm_runtime_allow" },
	{ 0xf8ff276d, "pci_reset_bus" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0xb215fb92, "vfio_register_group_dev" },
	{ 0xfccedbe6, "vfio_assign_device_set" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xb54b0761, "pci_user_read_config_byte" },
	{ 0xa6e05e2a, "pci_try_reset_function" },
	{ 0x610278d5, "xa_find" },
	{ 0x3892c5d3, "pci_get_class" },
	{ 0x4b876000, "pci_user_write_config_dword" },
	{ 0x255c283b, "pcie_capability_read_dword" },
	{ 0xc0a505b2, "pci_load_and_free_saved_state" },
	{ 0xba1bda77, "pci_disable_sriov" },
	{ 0xf60a85c4, "vfio_device_set_open_count" },
	{ 0x47eb89e0, "pci_disable_device" },
	{ 0x7cec2b82, "pci_match_id" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x99aea35c, "pci_check_and_unmask_intx" },
	{ 0x7055a3cf, "pcie_set_readrq" },
	{ 0x5958127c, "pci_walk_bus" },
	{ 0x124ebf59, "pci_msix_alloc_irq_at" },
	{ 0x79b6fc17, "xa_find_after" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8050bf90, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xf8d87d52, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x604fbc2a, "vga_set_legacy_decoding" },
	{ 0x966eb899, "pci_dev_unlock" },
	{ 0x6fad7001, "pci_write_config_word" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xdb843108, "pci_free_irq_vectors" },
	{ 0xf636ed92, "pci_enable_sriov" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x7a94f54b, "__pm_runtime_idle" },
	{ 0xdff2dbf, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdd1c4760, "pci_bus_type" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "A0CFD07E705601341DF982F");
MODULE_INFO(rhelversion, "9.6");
