#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x60d7207f, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0xc952ceab, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x17fd1cb0, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x4d38eaee, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x7038dbee, "_gpl");
SYMBOL_CRC(lockd_up, 0xe11bf5be, "_gpl");
SYMBOL_CRC(lockd_down, 0xf0454f00, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xd127a2dd, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8828d04, "rpc_put_task" },
	{ 0xdf1d7b66, "svc_generic_rpcbind_set" },
	{ 0x1233ad01, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0x121ddca9, "bpf_trace_run4" },
	{ 0xb8382dcf, "param_ops_uint" },
	{ 0x904d207f, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8b724288, "rpc_shutdown_client" },
	{ 0x8555c119, "svc_bind" },
	{ 0x8881747d, "proc_create" },
	{ 0xe8f4e916, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c6aff0f, "xdr_inline_decode" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x5ae392e3, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x78f8c8cd, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xb47c913f, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd29ceed, "svc_exit_thread" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xa52456f0, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x9c60d40c, "param_get_ulong" },
	{ 0xb39302a, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98cf52f2, "__put_cred" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x49d6f564, "locks_in_grace" },
	{ 0x45ecf923, "wake_up_process" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x452e4613, "proc_dobool" },
	{ 0xed0e327f, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4a61190, "unregister_sysctl_table" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0x29ed222f, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfd60c2d2, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa9b94e1a, "simple_transaction_release" },
	{ 0x3438e123, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9b80389b, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x9f5297b7, "down_write" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0x39ce43c3, "up_write" },
	{ 0x81decce3, "svc_set_num_threads" },
	{ 0xb48a8001, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x32f19d97, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x82455c6d, "proc_doulongvec_minmax" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xd416d019, "freezing_slow_path" },
	{ 0x7eadd5e5, "rpc_create" },
	{ 0x6f966602, "svc_destroy" },
	{ 0xa9e0b10e, "rpc_call_start" },
	{ 0xb3d3b947, "svc_create" },
	{ 0x4f38fee2, "default_llseek" },
	{ 0x866e20ff, "rpc_call_sync" },
	{ 0x43b90e36, "proc_mkdir" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x6c81d4bb, "vfs_lock_file" },
	{ 0xc76b04df, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0x2e635ded, "svc_generic_init_request" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf748f04e, "down_read" },
	{ 0x5f709dce, "svc_set_client" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x52d0fe48, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6bb071a, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x68812fb2, "rpc_force_rebind" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xcc4acbef, "param_ops_bool" },
	{ 0x8739cee8, "rpc_restart_call" },
	{ 0x291d2117, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xda80fc96, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84d9ffa1, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2ec630f9, "proc_dointvec" },
	{ 0xc17d8439, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x839f1714, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0x4635482b, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x5ceacb4b, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x304e1332, "svc_xprt_create" },
	{ 0x5996ae27, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xae8e0ce4, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x286aee6, "proc_dointvec_minmax" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
