#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xfd221708, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xef4b5cf5, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x975c5580, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x8ab696d5, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x1e18cd87, "_gpl");
SYMBOL_CRC(br_forward, 0x733e1457, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xa3649015, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x1758bbf0, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x05acdf26, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x421b77b2, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xd25ea3cb, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xc5e86b82, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x7095e37e, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x7b9f08a5, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xf91577af, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x92304345, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x685c9c93, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xcc448afa, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x51048d8b, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x8ffbe1c7, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xc5560101, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xc27532b4, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x82bd907c, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x2f4a131a, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x5820b82c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d38b648, "netdev_lower_get_next" },
	{ 0x4869ee72, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x15287ad4, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0xd8724f26, "__nlmsg_put" },
	{ 0xd3ace1b6, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa41ce90b, "ipv6_mc_check_mld" },
	{ 0xa4539ecb, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x75929a69, "call_switchdev_notifiers" },
	{ 0x12856c97, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x93bef227, "netdev_update_features" },
	{ 0x53587e82, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xd1259a2, "dev_uc_del" },
	{ 0xdd2e7617, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xea19a78f, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7dfb9ff, "switchdev_port_obj_act_is_deferred" },
	{ 0x3d350834, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5560082, "dev_set_promiscuity" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x618371dd, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9061b074, "unregister_netdevice_queue" },
	{ 0x6fa222c, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdecd35b, "netdev_state_change" },
	{ 0xfc6de85c, "__pskb_copy_fclone" },
	{ 0x79f61c60, "__dev_get_by_name" },
	{ 0x70369252, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd03a209f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84b2e1f2, "pskb_expand_head" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x88ccf7c3, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x345a664, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc71bdf66, "alloc_netdev_mqs" },
	{ 0x75970231, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x550f32f7, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2e89fdac, "__SCK__tp_func_br_mdb_full" },
	{ 0x37975913, "rtnl_af_register" },
	{ 0xa5392acc, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xedc02452, "kmem_cache_alloc" },
	{ 0x2cc8c905, "rtnl_set_sk_err" },
	{ 0x4318f111, "skb_vlan_pop" },
	{ 0x434464b4, "rtnl_unicast" },
	{ 0x41046f45, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x26f6357b, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0xc61c3533, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe7c180b7, "__dev_get_by_index" },
	{ 0xa9db9035, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xe474dfd0, "dev_get_port_parent_id" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0xf8d636f6, "ipv6_stub" },
	{ 0x11f5a834, "inet_confirm_addr" },
	{ 0xcdfed0e9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x52188918, "sysfs_remove_link" },
	{ 0x15bd6508, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x58703760, "__SCK__tp_func_br_fdb_add" },
	{ 0xf2a019f, "rtnl_af_unregister" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x37155dbf, "arp_send" },
	{ 0x40c89a34, "dev_get_by_index_rcu" },
	{ 0x561fbd3a, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x42bfba25, "skb_push" },
	{ 0xeb6d7d6c, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x74e6d39f, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x7b96e0b7, "netdev_upper_dev_unlink" },
	{ 0xa373fa8b, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xda70ce69, "llc_mac_hdr_init" },
	{ 0x36c4bdd3, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf63e2d16, "__SCK__tp_func_fdb_delete" },
	{ 0xfd1f461b, "kobject_init_and_add" },
	{ 0x906135cb, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x99290402, "ns_capable" },
	{ 0x2f32e1e6, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc0a6ad78, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc645f7f2, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xbbdfaa3e, "arp_create" },
	{ 0xee45a174, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4391a190, "stp_proto_register" },
	{  0x1829c, "rtnl_register_module" },
	{ 0x52bcdcac, "__tracepoint_br_fdb_update" },
	{ 0x55c90f7, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xafd1f189, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe399842a, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x81ab94d2, "__pskb_pull_tail" },
	{ 0x8fc017fa, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4e22345d, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf9c19f28, "ip_mc_check_igmp" },
	{ 0x66f198c8, "__netdev_alloc_skb" },
	{ 0x61be68f, "rhashtable_destroy" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xc9189bd9, "switchdev_port_obj_del" },
	{ 0x1b3e806, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x27f72684, "kobject_create_and_add" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0xdfc1aa74, "nf_hook_slow" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9086a542, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6c0cd008, "__ip_mc_inc_group" },
	{ 0x54110fac, "netdev_walk_all_upper_dev_rcu" },
	{ 0xeef7724b, "sysfs_remove_group" },
	{ 0xe2f74ce, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xa6ee9027, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf851a74c, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1d268146, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7e582d17, "vlan_vid_add" },
	{ 0x94a6371a, "neigh_destroy" },
	{ 0x329a298, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xf5e0e305, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x2ff67bcc, "__SCK__tp_func_br_fdb_update" },
	{ 0x53008c72, "call_netdevice_notifiers" },
	{ 0x85a4fa91, "is_skb_forwardable" },
	{ 0x8dac965e, "vlan_vid_del" },
	{ 0xf99eb56, "dev_set_allmulti" },
	{ 0xf1d7737e, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9f8247b0, "netdev_master_upper_dev_get" },
	{ 0xdf829f06, "ipv6_dev_mc_inc" },
	{ 0xadee9b01, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe270a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdaeee06e, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5fb81f1e, "skb_clone" },
	{ 0x7b49d2b0, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xa9bcbbee, "metadata_dst_alloc" },
	{ 0x589b3479, "dst_release" },
	{ 0xb5ee3409, "netif_carrier_on" },
	{ 0x2c207fbf, "kobject_uevent" },
	{ 0x493f7cf9, "arp_tbl" },
	{ 0xcf94c609, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7b860c86, "netdev_rx_handler_register" },
	{ 0xd291e032, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa4edd0a2, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xace4bdeb, "dev_disable_lro" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x1b5e9d, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x80e2a9a8, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x29efd7a6, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x943a3361, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x9d06303f, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xed0fdf2e, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xa4d178ba, "skb_ext_add" },
	{ 0xaab88837, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x31ed6c5a, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xf2b8f91e, "neigh_lookup" },
	{ 0x85eb531b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb828758e, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe6fc7cc5, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
