#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0x1c4c7938, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x6a9a920d, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0x4c183ec3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0072929, "crypto_aead_setauthsize" },
	{ 0xd63178be, "crypto_aead_setkey" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf374f86e, "xfrm_state_lookup" },
	{ 0x2fabeb4f, "make_kuid" },
	{ 0x1731fe11, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x20d60c88, "ip6_redirect" },
	{ 0x4d2e7050, "__xfrm_state_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbc9d581f, "napi_pp_put_page" },
	{ 0x4dfa1131, "__put_devmap_managed_page_refs" },
	{ 0x153b51ef, "__folio_put" },
	{ 0xa1265d56, "sk_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5bd8cff, "skb_to_sgvec" },
	{ 0xfb578fc5, "memset" },
	{ 0xcf2f620, "crypto_aead_encrypt" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xa933f02d, "skb_page_frag_refill" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x15aa1fd1, "xfrm_trans_queue_net" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0x17cf4e53, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x99b7c64a, "ipv6_skip_exthdr" },
	{ 0xa65c25ce, "km_new_mapping" },
	{ 0x6d0e25aa, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa4c612af, "xfrm_input_resume" },
	{ 0xadeeccfa, "skb_cow_data" },
	{ 0xfc776272, "crypto_aead_decrypt" },
	{ 0x42bfba25, "skb_push" },
	{ 0x81ab94d2, "__pskb_pull_tail" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8dd4ac82, "__inet6_lookup_established" },
	{ 0x7f528c15, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x852c8426, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaba21335, "espintcp_queue_out" },
	{ 0x4a08c802, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa2b0f9a3, "xfrm_state_mtu" },
	{ 0xd005bab9, "xfrm_dev_resume" },
	{ 0xf6f3d77e, "xfrm_output_resume" },
	{ 0x1b4a9099, "__skb_ext_del" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xbc88744a, "xfrm6_rcv" },
	{ 0xf0361b13, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbe5a4799, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x969e7f38, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0xf6aa8046, "xfrm6_protocol_register" },
	{ 0x70e70c4f, "xfrm_unregister_type" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0x98849ba9, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8d768658, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "6E5FA1F7419296F8AE16482");
MODULE_INFO(rhelversion, "9.6");
