#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x01f6cc15, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xa74815fb, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xf927bdbd, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xf5acaa8f, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xffea1146, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x88e8dd0a, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xc0fbcd09, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xa92ef3c0, "");
SYMBOL_CRC(ip_vs_conn_put, 0x3cf9de33, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x5a7ac94d, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x8bb8934f, "");
SYMBOL_CRC(register_ip_vs_app, 0x973d9b07, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x96bc352f, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x05484272, "");
SYMBOL_CRC(ip_vs_proto_get, 0x0c7217e7, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x83a7ca0c, "");
SYMBOL_CRC(register_ip_vs_pe, 0x096589d8, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x07b3aa31, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x8f663030, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ab571da, "nf_ct_ext_add" },
	{ 0xa5184358, "nf_conntrack_find_get" },
	{ 0xf2a682cc, "try_module_get" },
	{ 0x6cf955e, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x14107d72, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0xb0cc15a5, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x61aaab13, "proc_dointvec_jiffies" },
	{ 0xb1ce843b, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x53587e82, "consume_skb" },
	{ 0x2250ced7, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xc1a11f93, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7fec01, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x78fbba9a, "nf_ct_netns_get" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xb59205b0, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x9623ebc0, "kernel_bind" },
	{ 0xf8cf34c0, "genlmsg_put" },
	{ 0xb77cef9a, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c751628, "ip6_route_me_harder" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf2bc3698, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x679e876b, "__module_get" },
	{ 0x7f74d438, "ip_route_output_flow" },
	{ 0x6fa222c, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x53ff248f, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x79f61c60, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xcf268b17, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84b2e1f2, "pskb_expand_head" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x45ecf923, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6be573fe, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x94efb8ea, "nf_register_net_hooks" },
	{ 0xd509b970, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xedc02452, "kmem_cache_alloc" },
	{ 0x6e0487bf, "ipv6_sock_mc_join" },
	{ 0xda2ebe13, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x26f6357b, "ipv6_dev_get_saddr" },
	{ 0x904a872, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xb0537bbc, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc721ec16, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x188110a3, "nf_conntrack_alter_reply" },
	{ 0x571ddb3f, "ip_route_me_harder" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x42bfba25, "skb_push" },
	{ 0xeb6d7d6c, "kmem_cache_free" },
	{ 0x1b96f257, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x82455c6d, "proc_doulongvec_minmax" },
	{ 0x3255e605, "nf_ct_expect_alloc" },
	{ 0x31d8d0dc, "skb_ensure_writable" },
	{ 0xee4d22dc, "iov_iter_kvec" },
	{ 0x70ec3e18, "ip_mc_join_group" },
	{ 0xd59b7762, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x99290402, "ns_capable" },
	{ 0x7102fe34, "nf_unregister_net_hooks" },
	{ 0x2f32e1e6, "inet_select_addr" },
	{ 0xd4599a7a, "unregister_pernet_device" },
	{ 0x7444a886, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf4c87142, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x108cb48c, "kthread_stop" },
	{ 0x7f28ac7e, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfcccf120, "kernel_connect" },
	{ 0xbe5a4799, "skb_checksum" },
	{ 0x2f94da4, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4745f241, "__icmpv6_send" },
	{ 0x81ab94d2, "__pskb_pull_tail" },
	{ 0x4d535392, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0xdfc1aa74, "nf_hook_slow" },
	{ 0x84e373bc, "mutex_trylock" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6bb071a, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x2bce5659, "nf_ct_deliver_cached_events" },
	{ 0xdcaebe4c, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8026fb17, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc1784ef0, "__icmp_send" },
	{ 0x6f5bf1e5, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0xbcd22554, "skb_set_owner_w" },
	{ 0x6e490edf, "__skb_checksum" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x8d483ca1, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3134b647, "init_user_ns" },
	{ 0x5a810f67, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda80fc96, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xa2d2a172, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc744c6c9, "proc_create_net_single" },
	{ 0x85784f39, "ipv4_update_pmtu" },
	{ 0x2f77b31c, "nf_defrag_ipv6_enable" },
	{ 0x589b3479, "dst_release" },
	{ 0xa5e47e24, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2ec630f9, "proc_dointvec" },
	{ 0x991143b0, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x41275883, "unregister_net_sysctl_table" },
	{ 0x9725abed, "ip_local_out" },
	{ 0xc93a4c9b, "genl_unregister_family" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x8db83515, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x494921a5, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2990740d, "genl_register_family" },
	{ 0xff465cb7, "kernel_sendmsg" },
	{ 0xe6b2bc4b, "nf_ct_netns_put" },
	{ 0xc0a61f18, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x85eb531b, "kmem_cache_destroy" },
	{ 0x3b661e43, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x286aee6, "proc_dointvec_minmax" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "331E4E78A77EA0F25DFBF07");
MODULE_INFO(rhelversion, "9.6");
