#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x66850d33, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xda9b1a3b, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x2405310e, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xc70ba8d7, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x6df59516, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x091fb34b, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x667a5555, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xfde60dbf, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x0f680ff0, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x00cfd7b7, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x6425f1ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x2004b68a, "seq_printf" },
	{ 0x991143b0, "seq_puts" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x94efb8ea, "nf_register_net_hooks" },
	{ 0x7102fe34, "nf_unregister_net_hooks" },
	{ 0x31d8d0dc, "skb_ensure_writable" },
	{ 0x2e603d29, "inet_proto_csum_replace4" },
	{ 0x571ddb3f, "ip_route_me_harder" },
	{ 0x9725abed, "ip_local_out" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x311b9494, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0cc15a5, "xfrm_lookup" },
	{ 0x2250ced7, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xda80fc96, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xe7a04f7c, "nf_ct_tmpl_alloc" },
	{ 0x3ab571da, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcf268b17, "proc_create_net_data" },
	{ 0x62bf2da7, "nf_ct_tmpl_free" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xa4539ecb, "skb_put" },
	{ 0x99b7c64a, "ipv6_skip_exthdr" },
	{ 0x7b2aafc8, "nf_ct_seqadj_init" },
	{ 0x53587e82, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.6");
