#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x1b8b335f, "");
SYMBOL_CRC(tipc_dump_start, 0xd0634c3d, "");
SYMBOL_CRC(tipc_dump_done, 0x558969ae, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x768e8a07, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bee988c, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x6ef2e65c, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x121ddca9, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd8724f26, "__nlmsg_put" },
	{ 0x5cabf9a3, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa4539ecb, "skb_put" },
	{ 0xb1ce843b, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb07faed5, "ip6_dst_hoplimit" },
	{ 0xe3460560, "trace_output_call" },
	{ 0x53587e82, "consume_skb" },
	{ 0x2403b218, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x4c62bced, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9b4f6cde, "__ip_dev_find" },
	{ 0xef52ebeb, "dst_cache_set_ip4" },
	{ 0xf4d7e73a, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf8cf34c0, "genlmsg_put" },
	{ 0x17cf4e53, "___pskb_trim" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xee9cff91, "add_wait_queue" },
	{ 0x618371dd, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8d768658, "crypto_alloc_aead" },
	{ 0x8a7fb5f1, "__tracepoint_sk_data_ready" },
	{ 0xcc3d4553, "netdev_warn" },
	{ 0xe0072929, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xfc776272, "crypto_aead_decrypt" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xde508d6f, "kernel_accept" },
	{ 0x679e876b, "__module_get" },
	{ 0x7f74d438, "ip_route_output_flow" },
	{ 0x3c8ae595, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfc6de85c, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84b2e1f2, "pskb_expand_head" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x911e13ad, "put_cmsg" },
	{ 0xa430c982, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0x8fb5fe4c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x30cb1828, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xacd28198, "sock_register" },
	{ 0xbf5e6965, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0xce6e1961, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x92fc775d, "skb_try_coalesce" },
	{ 0x7d69d1dc, "proto_register" },
	{ 0x8866121a, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xbd11e59f, "__wake_up_sync_key" },
	{ 0xeadaf287, "skb_queue_tail" },
	{ 0xda2ebe13, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x15d14e3a, "idr_remove" },
	{ 0xd63178be, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7c180b7, "__dev_get_by_index" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x7fbfb3f2, "init_net" },
	{ 0xf8d636f6, "ipv6_stub" },
	{ 0xcdfed0e9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2e158d38, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xcf2f620, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xb0537bbc, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf7351291, "__SCK__tp_func_sk_data_ready" },
	{ 0x9a8516fd, "dev_remove_pack" },
	{ 0xa1265d56, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x5f611661, "kernel_sock_shutdown" },
	{ 0xed0dc3a8, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x42bfba25, "skb_push" },
	{ 0xfbebe6d7, "dst_cache_get" },
	{ 0xf957170d, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x82455c6d, "proc_doulongvec_minmax" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xee4d22dc, "iov_iter_kvec" },
	{ 0x70ec3e18, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9bc0a4a1, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd4599a7a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7444a886, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18e4638d, "skb_copy_datagram_iter" },
	{ 0x2e447cab, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa26abb4a, "sk_alloc" },
	{ 0x703d7421, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xdff00f17, "kfree_skb_partial" },
	{ 0xafd1f189, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x49ee7f11, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4d6bdf66, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x81ab94d2, "__pskb_pull_tail" },
	{ 0x5b4f8dd6, "sock_no_sendpage" },
	{ 0x4e22345d, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x61be68f, "rhashtable_destroy" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x986c6166, "setup_udp_tunnel_sock" },
	{ 0x8add1ff9, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xadeeccfa, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2eb1efdd, "bpf_trace_run3" },
	{ 0xa6ee9027, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3ec5d8, "sock_rfree" },
	{ 0x11099ddd, "rt_read_lock" },
	{ 0xbba5cf06, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6412f5a9, "kernel_listen" },
	{ 0x1d268146, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0x545348a0, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x8d483ca1, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xf3393f89, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc3b6ee82, "dst_cache_set_ip6" },
	{ 0x4a08c802, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6f16ebc5, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d1549f3, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa2d2a172, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4daa4366, "skb_copy" },
	{ 0x5fb81f1e, "skb_clone" },
	{ 0xaf4087a2, "dev_get_by_name" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0x6b26d7b8, "_copy_from_iter" },
	{ 0xa5e47e24, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4803dacd, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xf9800b23, "rhashtable_walk_next" },
	{ 0x9459c4c4, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd318b8a2, "sk_stop_timer" },
	{ 0x41275883, "unregister_net_sysctl_table" },
	{ 0xc93a4c9b, "genl_unregister_family" },
	{ 0xcd9686ad, "from_kuid_munged" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x8023b87a, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x2990740d, "genl_register_family" },
	{ 0xff465cb7, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5bd8cff, "skb_to_sgvec" },
	{ 0x9ee635f, "rhashtable_walk_exit" },
	{ 0xc0a61f18, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x93f48034, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x3b661e43, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x286aee6, "proc_dointvec_minmax" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "27AFE6C59385FC62672BF2F");
MODULE_INFO(rhelversion, "9.6");
