#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x27996212, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xa8517614, "_gpl");
SYMBOL_CRC(tls_get_record, 0xdc7af7f9, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x05eee677, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xca4ee968, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b80e802, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x48bc88d5, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1fb53c3c, "tcp_read_sock" },
	{ 0x121ddca9, "bpf_trace_run4" },
	{ 0xfbb72457, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6930bd7c, "sk_page_frag_refill" },
	{ 0xa4539ecb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x53587e82, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xaf3034e5, "sk_psock_msg_verdict" },
	{ 0xba5fa5ee, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x8c747e6f, "iov_iter_get_pages2" },
	{ 0x17cf4e53, "___pskb_trim" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xee9cff91, "add_wait_queue" },
	{ 0x4dfa1131, "__put_devmap_managed_page_refs" },
	{ 0x7fd9b4a1, "clean_acked_data_enable" },
	{ 0xe065204a, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8d768658, "crypto_alloc_aead" },
	{ 0x8a7fb5f1, "__tracepoint_sk_data_ready" },
	{ 0xe0072929, "crypto_aead_setauthsize" },
	{ 0xfc776272, "crypto_aead_decrypt" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xa52456f0, "__wake_up" },
	{ 0x4278a02c, "sk_stream_error" },
	{ 0x87d4f3b8, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8dd261c9, "sk_msg_memcopy_from_iter" },
	{ 0xeca2c1f7, "sk_error_report" },
	{ 0x4ac2d354, "register_pernet_subsys" },
	{ 0x911e13ad, "put_cmsg" },
	{ 0x695df74f, "__sk_flush_backlog" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0x8e3b2ca, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa3117db4, "sk_psock_tls_strp_read" },
	{ 0x1e94c26e, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0xf89aa47f, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x630c94d, "tcp_recv_skb" },
	{ 0xd63178be, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x9f5297b7, "down_write" },
	{ 0x7e5c7b8, "crypto_req_done" },
	{ 0x39ce43c3, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf2f620, "crypto_aead_encrypt" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xf7351291, "__SCK__tp_func_sk_data_ready" },
	{ 0x6e0cd64b, "bpf_trace_run5" },
	{ 0xa1265d56, "sk_free" },
	{ 0xb558b74e, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xc6383da3, "__sk_mem_reclaim" },
	{ 0x7f390247, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0xee4d22dc, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9a99d9c4, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7444a886, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7dfa7196, "sk_msg_return_zero" },
	{ 0x8690565a, "mutex_lock_interruptible" },
	{ 0x18e4638d, "skb_copy_datagram_iter" },
	{ 0xcd258351, "bpf_trace_run1" },
	{ 0xe44b4466, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x5e3d5636, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x62d507ce, "sock_efree" },
	{ 0x3a7078f2, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfcf82616, "clean_acked_data_disable" },
	{ 0x385306e0, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x60d082da, "sk_msg_free_partial" },
	{ 0xf748f04e, "down_read" },
	{ 0xf3c5ea4b, "skb_trim" },
	{ 0x84e373bc, "mutex_trylock" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9387a5aa, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4e3958a2, "tcp_register_ulp" },
	{ 0x2eb1efdd, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x6dba9743, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa933f02d, "skb_page_frag_refill" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4aeaf7da, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xaaebdac5, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x153b51ef, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xda80fc96, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xc744c6c9, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5fb81f1e, "skb_clone" },
	{ 0x589b3479, "dst_release" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0x6b26d7b8, "_copy_from_iter" },
	{ 0xd65bfe83, "skb_copy_header" },
	{ 0x13c3abbc, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4803dacd, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x5bae51b, "netdev_sk_get_lowest_dev" },
	{ 0x7f5a194f, "sk_msg_alloc" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0xf014e21c, "_copy_from_iter_nocache" },
	{ 0xc5686abd, "tcp_rate_check_app_limited" },
	{ 0xd46b8672, "tcp_poll" },
	{ 0x8023b87a, "iov_iter_revert" },
	{ 0xdb74a559, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5bd8cff, "skb_to_sgvec" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x557e8914, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x15e977ad, "tcp_read_done" },
	{ 0x3b661e43, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
