#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x929b7e21, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x4490821c, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x6ab827f8, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x1b9d139f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x8f5909d4, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xd0c0e36c, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x2ca8fb7d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xde19c7b6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x4f1fe799, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xa103967b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xac8c3db1, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x2506f746, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x3b45898b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x0a4c57d9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xe03bcea8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x6b5bd7ab, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x684d1e15, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x1aa33dbd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x7d042741, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x279a3684, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xf6dd5c79, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xeaf397a1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xe5810fc9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x00811b38, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x7df2d2b4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x2170cb9d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x66a83d78, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xe014b255, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x4e086d2d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x95e03ce7, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x7a6b92e6, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xf6bf18ef, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x09947f4e, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x448875b0, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x07ba6eda, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x1d981289, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9e975a2, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x736738ee, "vsock_insert_connected" },
	{ 0xa4539ecb, "skb_put" },
	{ 0x53587e82, "consume_skb" },
	{ 0x9c111a09, "trace_raw_output_prep" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xe1993a4f, "vsock_remove_sock" },
	{ 0x13642845, "trace_event_printf" },
	{ 0x166fc1f3, "vsock_deliver_tap" },
	{ 0x3613fc81, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9507a2f, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xee9cff91, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3bb8ca4c, "event_triggers_call" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeca2c1f7, "sk_error_report" },
	{ 0xdfcfccc8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc6cd093, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2515cded, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x8234f582, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x43579a7b, "perf_trace_run_bpf_submit" },
	{ 0x2446bb74, "sk_skb_reason_drop" },
	{ 0xa1265d56, "sk_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfd31fcbc, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x52e1979e, "__skb_recv_datagram" },
	{ 0x7444a886, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55c03adf, "vsock_stream_has_data" },
	{ 0x18e4638d, "skb_copy_datagram_iter" },
	{ 0x10abba7f, "bpf_trace_run9" },
	{ 0xed542010, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x62d507ce, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xc192ef6f, "bpf_trace_run10" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x2462ca84, "vsock_core_get_transport" },
	{ 0xab62a16c, "__zerocopy_sg_from_iter" },
	{ 0xe3b7723c, "vsock_stream_has_space" },
	{ 0xbcd22554, "skb_set_owner_w" },
	{ 0xff1af754, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6b26d7b8, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4803dacd, "remove_wait_queue" },
	{ 0xfbde43b2, "msg_zerocopy_realloc" },
	{ 0xd732191a, "kmalloc_trace" },
	{ 0x8a3f3328, "vsock_create_connected" },
	{ 0xade6fbd8, "vsock_assign_transport" },
	{ 0x8023b87a, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x557e8914, "iov_iter_npages" },
	{ 0x40dc34eb, "kmalloc_caches" },
	{ 0x3b661e43, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7f1f2890, "vsock_data_ready" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
