#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x058185d2, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0x1a9dde3a, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x2caa541d, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xaca4d148, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x149316dc, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xa72e4368, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x205765a1, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x7000fabe, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xf984fdf3, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xdba6b602, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xcd980c78, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xecaefca0, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x68c7c85d, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x3362d164, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x04c3bd08, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xe4d9210e, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xb12a5736, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x077f51e9, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xc811659a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc145b72b, "gpiod_get_value_cansleep" },
	{ 0xdc357061, "regcache_cache_only" },
	{ 0x1cd5d854, "regcache_sync" },
	{ 0xcf635126, "regmap_write" },
	{ 0x8b7d2622, "devm_request_threaded_irq" },
	{ 0xd6ee8f1c, "cs_amp_get_efi_calibration_data" },
	{ 0xf85d8e28, "regmap_raw_read" },
	{ 0x33785807, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x128e5ddd, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0xb9b82045, "regmap_multi_reg_write_bypassed" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x5e68a366, "gpiod_put_array" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b03ddfe, "regmap_read_bypassed" },
	{ 0xa2cc5e02, "regmap_read" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x34cb242e, "_dev_crit" },
	{ 0x70da056c, "regmap_update_bits_base" },
	{ 0xc14fd15, "dev_err_probe" },
	{ 0xea556110, "regmap_multi_reg_write" },
	{ 0x64c2a275, "__pm_runtime_suspend" },
	{ 0x4dccc7bf, "regmap_register_patch" },
	{ 0x7a94f54b, "__pm_runtime_idle" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "DBF5D0052A0080AA8B0B432");
MODULE_INFO(rhelversion, "9.6");
