#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x9fd4c52a, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x30efe502, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xf9d2de14, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x7d4aa194, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x568dc48d, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xe0fb50a9, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xb1309e30, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xe8850530, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x06a1be6b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x897ef0c5, "snd_soc_dapm_put_enum_double" },
	{ 0xc145b72b, "gpiod_get_value_cansleep" },
	{ 0xdc357061, "regcache_cache_only" },
	{ 0xf7f8be0, "is_acpi_device_node" },
	{ 0x3ce18a15, "gpiod_put" },
	{ 0x1cd5d854, "regcache_sync" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcf635126, "regmap_write" },
	{ 0x6464bfa7, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1a9dde3a, "cs35l56_init_asp1_regs_for_driver_control" },
	{ 0x7056ccba, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x6659f6ca, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x42ad63cd, "acpi_dev_add_driver_gpios" },
	{ 0x985d1943, "snd_soc_card_get_kcontrol_locked" },
	{ 0x2caa541d, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x33785807, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6807970e, "devm_gpiod_get_optional" },
	{ 0x5c829fd1, "wm_adsp_stop" },
	{ 0xb07c62d3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68c7c85d, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50dbc2a4, "__pm_runtime_set_status" },
	{ 0xdc6be5cd, "devm_snd_soc_register_component" },
	{ 0x8a9b4a61, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a9be47c, "sdw_write_no_pm" },
	{ 0xfc974728, "devm_free_irq" },
	{ 0x2cb8f6fe, "pm_runtime_enable" },
	{ 0xe491e75c, "fwnode_gpiod_get_index" },
	{ 0x5a906d7d, "_dev_info" },
	{ 0xc2570edd, "acpi_dev_remove_driver_gpios" },
	{ 0x377edbe1, "snd_soc_info_volsw" },
	{ 0xecaefca0, "cs35l56_init_cs_dsp" },
	{ 0xda8de7ca, "wm_adsp_power_down" },
	{ 0x2404eae, "regcache_drop_region" },
	{ 0xa8ea5888, "_dev_err" },
	{ 0x66626f0, "debugfs_create_bool" },
	{ 0xb0e8a241, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x2eb436c7, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xa8256dac, "sdw_read_no_pm" },
	{ 0xaca4d148, "cs35l56_mbox_send" },
	{ 0x4c3bd08, "cs35l56_hw_init" },
	{ 0x94b580c1, "_dev_warn" },
	{ 0x97b267e8, "wm_adsp2_component_probe" },
	{ 0x3362d164, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2046d58a, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x205765a1, "cs35l56_system_reset" },
	{ 0xa6b61759, "snd_soc_info_enum_double" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xad6b84a1, "wm_adsp2_component_remove" },
	{ 0xa72e4368, "cs35l56_wait_for_firmware_boot" },
	{ 0x14c1b760, "devm_kasprintf" },
	{ 0x2fc6849c, "snd_soc_get_volsw" },
	{ 0x58185d2, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xa44a263f, "fwnode_property_present" },
	{ 0xf984fdf3, "cs35l56_is_fw_reload_needed" },
	{ 0xa2cc5e02, "regmap_read" },
	{ 0x60980920, "snd_soc_put_volsw" },
	{ 0x409cb6c4, "__pm_runtime_resume" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xbb544d8a, "cs_amp_write_cal_coeffs" },
	{ 0x324d1efa, "device_get_named_child_node" },
	{ 0x8184b2c6, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4410dd30, "regmap_bulk_read" },
	{ 0x557a8884, "sdw_stream_remove_slave" },
	{ 0xe6b8b295, "dapm_regulator_event" },
	{ 0xe4d9210e, "cs35l56_get_speaker_id" },
	{ 0xb630259c, "wm_adsp_run" },
	{ 0x70da056c, "regmap_update_bits_base" },
	{ 0x4e8ed58a, "acpi_dev_get_property" },
	{ 0xc14fd15, "dev_err_probe" },
	{ 0x64c2a275, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xb0cf4715, "__devm_add_action" },
	{ 0xa2afe3b7, "snd_soc_dapm_get_enum_double" },
	{ 0x76796657, "__pm_runtime_use_autosuspend" },
	{ 0xe899497e, "wm_halo_init" },
	{ 0xb8d6c38, "__pm_runtime_disable" },
	{ 0x149316dc, "cs35l56_firmware_shutdown" },
	{ 0xc3f86351, "sdw_stream_add_slave" },
	{ 0xf8cb4b05, "pm_runtime_force_suspend" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xe81027d0, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "7533913D6B6628C86C10482");
MODULE_INFO(rhelversion, "9.6");
